﻿// Boxes© 2012
// Made by: Daniel van Willigen
// Last update 11-02-12
// Script works with Illustrator CS4 and up only for mac os

//1. length
//2. width
//3. depth

// Define variables
var omf = 2.834645;
var presscancelbutton = 0;
var x=0;
var y=0;


// Check if system is MAC-OS
if (File.fs == "Macintosh") {
    var presscancelbutton = 0;
    menuinterface();
} else {
    presscancelbutton = presscancelbutton - 1;
    alert('Sorry script only works on Mac-OS');
};

if (presscancelbutton >= 0) {
    
    var boxpanelwidth = win.backgroundgroup.backgroundgroupmarge.menugroup.boxspecsgroup.widthgroup.et.text;
    var boxpanelheight = win.backgroundgroup.backgroundgroupmarge.menugroup.boxspecsgroup.heightgroup.et.text;
	// Create new document with layer
	docPreset = new DocumentPreset;
	docPreset.width = 100*omf;
	docPreset.colorMode = DocumentColorSpace.CMYK
	docPreset.previewMode = DocumentPreviewMode.OverprintPreview;
	docPreset.rasterResolution = DocumentRasterResolution.HighResolution;
	docPreset.title = 'Popbox';
	docPreset.rulerUnits = RulerUnits.Millimeters;
	docPreset.height = (100*omf);	
	docPreset.name = 'Popbox';
	var doc = app.documents.addDocument(DocumentColorSpace.CMYK,docPreset); 
    addlayers();
    var docRef= app.activeDocument;
    var keepRegistration = true;
    var keepNoColor = true;
    var skipSwatches = 0;
    var swtsRem = 0;
    var smbsRem = 0;
    var stysRem = 0;
    deleteUnusedSwatches();
    deleteUnusedSymbols();
    deleteStyles();
    cadcolors();
    box();
    deleteUnusedSwatches();
    deleteunusedsublayers();
    for (var i=0 ; i < app.activeDocument.layers['Popbox'].layers.length; i++){
        for (var j=0 ; j < app.activeDocument.layers['Popbox'].layers[i].pathItems.length; j++){            
            var moveMatrix = app.getScaleMatrix(boxpanelwidth,boxpanelheight);
            var totalMatrix = concatenateRotationMatrix( moveMatrix, 0 );
            app.activeDocument.layers['Popbox'].layers[i].pathItems[j].transform(totalMatrix,true,false,false,false,0,Transformation.DOCUMENTORIGIN);
            if(app.activeDocument.layers['Popbox'].layers[i].name == 'Outside bleed'){
                app.activeDocument.layers['Popbox'].layers['Outside bleed'].pathItems[j].selected = true;
            }
        }
    }

    // Join Outside bleed pathitems to create a mask
    var conf ={};
    conf.close  = true;
    conf.torelance   = 0.5;
    conf.hanLen = 0.33;
    conf.dontAddRevHan = 120;
    var mpi = Math.PI;
    var hpi = mpi / 2; // half PI
    conf.dontAddRevHan *= mpi / 180;
    main();

    // Lock cadlayers
    for (var i=0 ; i < app.activeDocument.layers['Popbox'].layers.length; i++){
        app.activeDocument.layers['Popbox'].layers[i].locked = true;
    }
    app.activeDocument.layers['Popbox'].locked = true;
    
    
    // Set artboard to artwork
    var illustratorversion = app.version;
    var illustratorversionarray = illustratorversion.split('.');
    if(illustratorversionarray[0]>13){
        app.activeDocument.artboards[0].artboardRect = app.activeDocument.visibleBounds;
        zet_nulpunt();
        zoomcenterpage()
    }
}

function cadcolors(){
    // Create colorgroup and delete unused colorgroups
    var colorgroup = app.activeDocument.swatchGroups.add();
    colorgroup.name = 'Cad colors';
    for (var i=0;  i<app.activeDocument.swatchGroups.length-1; i++){
        if (app.activeDocument.swatchGroups[i].name != 'Cad colors'){app.activeDocument.swatchGroups[i].remove();};
    }
    
    var generatecolor = 1;
    for (var i=1 ; i < 29; i++) {
        if (generatecolor == 1){var colorname = 'Cut'; var colorred = 0; var colorgreen = 0; var colorblue = 0};
        if (generatecolor == 2){var colorname = 'Crease'; var colorred = 255; var colorgreen = 0; var colorblue = 0};
        if (generatecolor == 3){var colorname = 'Second height crease'; var colorred = 255; var colorgreen = 0; var colorblue = 0};
        if (generatecolor == 4){var colorname = 'Matrix crease'; var colorred = 255; var colorgreen = 0; var colorblue = 0};
        if (generatecolor == 5){var colorname = 'Generic perf'; var colorred = 0; var colorgreen = 0; var colorblue = 255};
        if (generatecolor == 6){var colorname = 'Partial cut'; var colorred = 149.99; var colorgreen = 61; var colorblue = 163};
        if (generatecolor == 7){var colorname = 'Generic cut and crease'; var colorred = 255; var colorgreen = 0; var colorblue = 0};
        if (generatecolor == 8){var colorname = 'Generic perf in channel'; var colorred = 232; var colorgreen = 120; var colorblue = 0};
        if (generatecolor == 9){var colorname = 'Glue'; var colorred = 240.01; var colorgreen = 130; var colorblue = 28};
        if (generatecolor == 10){var colorname = 'Glue assist'; var colorred = 116.99; var colorgreen = 125; var colorblue = 74};
        if (generatecolor == 11){var colorname = 'Reverse crease'; var colorred = 255; var colorgreen = 0; var colorblue = 0};
        if (generatecolor == 12){var colorname = 'Reverse partial cut'; var colorred = 149.99; var colorgreen = 61; var colorblue = 163};
        if (generatecolor == 13){var colorname = 'Partial cut and crease'; var colorred = 116.99; var colorgreen = 156.01; var colorblue = 144.99};
        if (generatecolor == 14){var colorname = 'Half crease'; var colorred = 255; var colorgreen = 0; var colorblue = 0};
        if (generatecolor == 15){var colorname = 'Side bevel'; var colorred = 255; var colorgreen = 46; var colorblue = 112};
        if (generatecolor == 16){var colorname = 'Generic special rule'; var colorred = 0; var colorgreen = 0; var colorblue = 0};
        if (generatecolor == 17){var colorname = 'Nick'; var colorred = 0; var colorgreen = 0; var colorblue = 0};
        if (generatecolor == 18){var colorname = 'Print registration'; var colorred = 102; var colorgreen = 144.99; var colorblue = 149.99};
        if (generatecolor == 19){var colorname = 'Outside bleed'; var colorred = 0; var colorgreen = 255; var colorblue = 0};
        if (generatecolor == 20){var colorname = 'Inside bleed'; var colorred = 0; var colorgreen = 255; var colorblue = 0};
        if (generatecolor == 21){var colorname = 'Outside coating'; var colorred = 255; var colorgreen = 0; var colorblue = 255};
        if (generatecolor == 22){var colorname = 'Inside coating'; var colorred = 255; var colorgreen = 0; var colorblue = 255};
        if (generatecolor == 23){var colorname = 'Print images'; var colorred = 0; var colorgreen = 250; var colorblue = 255};
        if (generatecolor == 24){var colorname = 'Annotation'; var colorred = 0; var colorgreen = 255; var colorblue = 0};
        if (generatecolor == 25){var colorname = 'Annotation2'; var colorred = 0; var colorgreen = 0; var colorblue = 0};
        if (generatecolor == 26){var colorname = 'Annotation3'; var colorred = 255; var colorgreen = 0; var colorblue = 0};
        if (generatecolor == 27){var colorname = 'Annotation4'; var colorred = 0; var colorgreen = 0; var colorblue = 255};
        if (generatecolor == 28){var colorname = 'Annotation5'; var colorred = 0; var colorgreen = 255; var colorblue = 255};

        // Create new spot color // Does not work yet
        for (u = app.activeDocument.swatches.length -1; u >= 0; u--){ 
            var targetswatch = app.activeDocument.swatches[u]; 
            var swatchName = new String (targetswatch.name); 
            if (swatchName.indexOf(colorname) == 0){ 
                swatchToDelete = app.activeDocument.swatches[colorname];
                swatchToDelete.remove();
            }; 
        } ;
    
        var newSpot = app.activeDocument.spots.add();
        var newColor = new RGBColor();	
        newColor.red = colorred;
        newColor.green = colorgreen;
        newColor.blue = colorblue;
        newSpot.name = colorname;
        newSpot.colorType = ColorModel.SPOT;
        newSpot.color = newColor;
        var newSpotColor = new SpotColor();
        newSpotColor = newSpot;
        newSpotColor.tint = 100;
        generatecolor = generatecolor+1;
        colorgroup.addSpot(newSpotColor);  
    }
}

function addlayers(){       
    // create layercolor
    var newRGBColor = new RGBColor();
    newRGBColor.red = 0;
    newRGBColor.green = 0;
    newRGBColor.blue = 255;
    
    app.activeDocument.layers[0].name = 'Popbox';
    app.activeDocument.layers['Popbox'].color = newRGBColor;
    
    var generatelayer = 28;
    
    for (var i=1 ; i < 29; i++) {
        if (generatelayer == 1){var sublayername = 'Cut';};
        if (generatelayer == 2){var sublayername = 'Crease';};
        if (generatelayer == 3){var sublayername = 'Second height crease';};
        if (generatelayer == 4){var sublayername = 'Matrix crease';};
        if (generatelayer == 5){var sublayername = 'Generic perf';};
        if (generatelayer == 6){var sublayername = 'Partial cut';};
        if (generatelayer == 7){var sublayername = 'Generic cut and crease';};
        if (generatelayer == 8){var sublayername = 'Generic perf in channel';};
        if (generatelayer == 9){var sublayername = 'Glue';};
        if (generatelayer == 10){var sublayername = 'Glue assist';};
        if (generatelayer == 11){var sublayername = 'Reverse crease';};
        if (generatelayer == 12){var sublayername = 'Reverse partial cut';};
        if (generatelayer == 13){var sublayername = 'Partial cut and crease';};
        if (generatelayer == 14){var sublayername = 'Half crease';};
        if (generatelayer == 15){var sublayername = 'Side bevel';};
        if (generatelayer == 16){var sublayername = 'Generic special rule';};
        if (generatelayer == 17){var sublayername = 'Nick';};
        if (generatelayer == 18){var sublayername = 'Print registration';};
        if (generatelayer == 19){var sublayername = 'Outside bleed';};
        if (generatelayer == 20){var sublayername = 'Inside bleed';};
        if (generatelayer == 21){var sublayername = 'Outside coating';};
        if (generatelayer == 22){var sublayername = 'Inside coating';};
        if (generatelayer == 23){var sublayername = 'Print images';};
        if (generatelayer == 24){var sublayername = 'Annotation';};
        if (generatelayer == 25){var sublayername = 'Annotation2';};
        if (generatelayer == 26){var sublayername = 'Annotation3';};
        if (generatelayer == 27){var sublayername = 'Annotation4';};
        if (generatelayer == 28){var sublayername = 'Annotation5';};

        var layercheck = 0;
        var targetDocument = app.activeDocument;
        var layerCount = targetDocument.layers.length;
        for (u = layerCount -1; u >= 0; u--){
            targetLayer = targetDocument.layers[u];
            var layerName = new String (targetLayer.name);
            if (layerName.indexOf(sublayername) == 0){
                targetDocument.layers[u].visible= true;
                targetDocument.layers[u].locked= false;
                var layercheck = 1;
            }
        }
        if (layercheck == 0){
            newlayer = documents[0].layers['Popbox'].layers.add();
            newlayer.name = (sublayername);
            newlayer.color = newRGBColor;
        }
        app.activeDocument.layers['Popbox'].layers[sublayername].preview = true;
        if (sublayername == 'Cut' || sublayername == 'Crease'){
        } else {
            app.activeDocument.layers['Popbox'].layers[sublayername].printable = false;    
        }
        generatelayer = generatelayer-1;
    }
    newlayer = documents[0].layers.add();
    newlayer.name = ('Artwork');
    newlayer.color = newRGBColor;
    newlayer.zOrder(ZOrderMethod.SENDTOBACK)
}

function deleteunusedsublayers(){
    var layers = app.activeDocument.layers['Popbox'].layers;
    for(var i=layers.length-1;i>=0;i--){
        if(layers[i].pageItems.length==0){
            layers[i].remove();
        }
    }
}

function deleteUnusedSwatches(){
	killed = "";
	saved = "";
	var usedSwatches = findUsedSwatches();
	var x = lastIndex = app.activeDocument.swatches.length;
	total = x;
	var isSpotReg = 0;

	try
	{
		while(x > skipSwatches){
		var lastIndex = app.activeDocument.swatches.length - 1;
			var swatchToDelete = app.activeDocument.swatches[x-1];
			save = ulen = noSwt = regSwt = 0;
			try
			{
				isSpotReg =	swatchToDelete.color.spot.colorType == ColorModel.REGISTRATION;
			}
			catch (e)
			{
			}
			for (var u in usedSwatches)
			{
				ulen ++;
				if (compareColors(usedSwatches[u],swatchToDelete.color) )
				{
					saved+= swatchToDelete+"\n";
					save = 1;
					x--
				}
			}
			if (isSpotReg && keepRegistration)
			{  
				saved+= swatchToDelete+"\n";
				save = 1;
				x--;
				isSpotReg = 0;
				regSwt=1;

			} else if (swatchToDelete.color.typename == "NoColor" && keepNoColor)
			
			{
				saved+= swatchToDelete+"\n";
				save = 1;
				x--;
				noSwt=1;
				 
			} 
			if (save == 0)
			{
				killed += swatchToDelete+"\n";
				swatchToDelete.remove();
				x--; 
				
			}
		}
		swtsRem =total-(ulen+noSwt+regSwt);
	}
	catch (e)
	{
		alert( e+"\nThe specified swatch doesn't exist. x = " +x);
	} 
 //}
 }


function deleteStyles(){ 
	try
	{
		stylesLen = app.activeDocument.graphicStyles.length;
		if( stylesLen > 1){
			stysRem = stylesLen;
			app.activeDocument.graphicStyles.removeAll();
		}	
		 
	}
	catch (e)
	{
		alert( "Cannot Delete Styles." + e);
	} 
}

function deleteUnusedSymbols(){ 
	try
	{
		usedSymbols = testSymbols();
		var x = lastIndex = app.activeDocument.symbols.length;
		while(x >= 1){
			var symbolToDelete = app.activeDocument.symbols[x-1];
			if(!contains(usedSymbols,symbolToDelete)){
			symbolToDelete.remove();
			smbsRem++;
			}
			x--;
		}	
	}
	catch (e)
	{
		alert( "The specified Symbol doesn't exist" +e);
	} 
}

function contains(array,item){
	for (var each in array)
	{
		if (item == array[each])
		{
		return(true);
		}
	}
	return false;
}
function findUsedSwatches(){
	allitems = activeDocument.pageItems.length;

	var found = [];
	while (allitems > 0)
		{
		
		if(activeDocument.pageItems[allitems-1].stroked == true){
			stk = activeDocument.pageItems[allitems-1].strokeColor;
			if (!inList(stk,found))
			{
				found.push(stk);
			}

		}
		if(activeDocument.pageItems[allitems-1].filled == true){
			fil = activeDocument.pageItems[allitems-1].fillColor;
			if (!inList(fil,found))
			{
				found.push(fil);
			}
		} else if(activeDocument.pageItems[allitems-1].typename == "TextFrame"){
			try { 
				fil = activeDocument.pageItems[allitems-1].textRange.fillColor;
				if (!inList(fil,found))
				{
					found.push(fil);
				}
			}
			catch(theerror){
			}
		}
		//
			
			allitems--;
		}
		

	 return(found);
}
function inList(a,b){
	if (b.length == 0)
	{
		return false;
	}
	
	for (var all in b)
	{
		if(compareColors(a,b[all])){
			return true;
		}
	}
	return false;
}
function compareColors(a,b){
	//	No need to check for "none" because the calling function only passes hits.

	if (a.pattern == b.pattern && a.pattern != undefined)
	{
		//Compare patterns
		return true;
	} 
	else if (a.gradient == b.gradient && a.gradient != undefined)
		{
			//Compare gradients
			return true;
		} 
	else 
	{
		//innocent until proven guilty..
		answer = true;
		//Compare contents...
		for (var each in a)
		{
			if (a[each] != b[each] && each!= "tint")
			{
				//if anything doesn't match:
				answer = false;
			}	
		}

		return answer; 
	
		 
	}
}
function testSymbols(){
	all = activeDocument.pageItems.length;
	safe = 0;
	var found = [];
	while (all > 0)
		{
			var current = activeDocument.pageItems[all-1].symbol
			if(current != undefined){
				found.push(current);
			} 
		all--;
		}
	 return (found);
}

function deleteBrushes(){ 
if(Number(app.version.substr(0,2)) >= 12){
	try
	{
		var x = lastIndex = app.activeDocument.brushes.length;
		while(x >= 1){
		var lastIndex = app.activeDocument.brushes.length - 1;
			var brushToDelete = app.activeDocument.brushes[lastIndex];
			brushToDelete.remove();
			x--;
		}				 
	}
	catch (e)
	{
		alert( "Whoops...\n" + e);
	} }
}

function menuinterface(){
	#targetengine illustrator
    var imageicon = File(app.path+'/Presets.localized/' + app.locale + '/Scripts/idatabase/Images/Boxes/base_img_boxes.png');
    
	res =
	"dialog { \
		text:'Boxes', \
		properties:{resizeable:false}, \
            backgroundgroup: Group { orientation:'stack', alignChildren:'bottom', \
			img: Image {image:'"+imageicon+"'}, \
              backgroundgroupmarge: Group { orientation:'column', alignChildren:'bottom', \
			ddl: DropDownList { alignment:'left', preferredSize: [260, 20] }, \
			menugroup: Panel { orientation:'stack', preferredSize: [200, 20], alignChildren:'top', text: 'Popbox', \
				boxspecsgroup: Group { orientation:'column', preferredSize: [200, 20], alignChildren:'top', \
					widthgroup: Group { alignment:'left',\
						st: StaticText { text:'Width :' }, \
						sl: Slider { minvalue:100, maxvalue:10000, value:1000, preferredSize: [89, 19] }, \
						et: EditText { characters:6, justify:'right', text:'1000' } \
						st: StaticText { text:'mm' }, \
						} \
					heightgroup: Group { alignment:'left',\
						st: StaticText { text:'Height:' }, \
						sl: Slider { minvalue:100, maxvalue:10000, value:1000, preferredSize: [89, 19] }, \
						et: EditText { characters:6, justify:'right', text:'1000' } \
						st: StaticText { text:'mm' }, \
						} \
				}, \
			} \
			buttons: Group { orientation: 'row', alignment: 'center', \
			cancelBtn: Button { text:'Cancel', properties:{name:'cancel'} }, \
			doneBtn: Button { text:'Ok', properties:{name:'ok'} }, \
		} \
		} \
		} \
	}";
	
	win = new Window (res);
	win.frameLocation = [100, 100];
    win.margins = 0;
    win.backgroundgroup.margins = 0;
    win.backgroundgroup.backgroundgroupmarge.margins = 10;
    
    // Control Escape key
    win.addEventListener('keydown', function (k) {  
        if (k.keyName == 'Escape') {
            presscancelbutton = presscancelbutton - 1;
            win.close();
        }
    });

    // control CMD-W
    win.addEventListener("keydown", doSomething); 
    function doSomething(event){
        if (event.keyName=="W" && event.metaKey){
            presscancelbutton = presscancelbutton - 1;
            win.close();
        }
    }

	var item = win.backgroundgroup.backgroundgroupmarge.ddl.add ('item', 'Popbox');
	win.backgroundgroup.backgroundgroupmarge.ddl.selection = win.backgroundgroup.backgroundgroupmarge.ddl.items[0];
    win.backgroundgroup.backgroundgroupmarge.ddl.enabled = false;

	// width & height sliders
	win.backgroundgroup.backgroundgroupmarge.menugroup.boxspecsgroup.widthgroup.sl.onChange = function () { 
        win.backgroundgroup.backgroundgroupmarge.menugroup.boxspecsgroup.widthgroup.et.text = Math.round(win.backgroundgroup.backgroundgroupmarge.menugroup.boxspecsgroup.widthgroup.sl.value);
        win.backgroundgroup.backgroundgroupmarge.menugroup.boxspecsgroup.heightgroup.et.text = win.backgroundgroup.backgroundgroupmarge.menugroup.boxspecsgroup.widthgroup.et.text;
        //win.backgroundgroup.backgroundgroupmarge.menugroup.boxspecsgroup.heightgroup.sl.update();
	}
	win.backgroundgroup.backgroundgroupmarge.menugroup.boxspecsgroup.heightgroup.sl.onChange = function () { 
        win.backgroundgroup.backgroundgroupmarge.menugroup.boxspecsgroup.heightgroup.et.text = Math.round(win.backgroundgroup.backgroundgroupmarge.menugroup.boxspecsgroup.heightgroup.sl.value);
        win.backgroundgroup.backgroundgroupmarge.menugroup.boxspecsgroup.widthgroup.et.text = win.backgroundgroup.backgroundgroupmarge.menugroup.boxspecsgroup.heightgroup.et.text;
        //win.backgroundgroup.backgroundgroupmarge.menugroup.boxspecsgroup.widthgroup.sl.update();
	}
	win.backgroundgroup.backgroundgroupmarge.menugroup.boxspecsgroup.widthgroup.et.onChange = function () { 
        if (win.backgroundgroup.backgroundgroupmarge.menugroup.boxspecsgroup.widthgroup.et.text > 10000){win.backgroundgroup.backgroundgroupmarge.menugroup.boxspecsgroup.widthgroup.et.text = 10000}
        if (win.backgroundgroup.backgroundgroupmarge.menugroup.boxspecsgroup.widthgroup.et.text < 100){win.backgroundgroup.backgroundgroupmarge.menugroup.boxspecsgroup.widthgroup.et.text = 100}
        win.backgroundgroup.backgroundgroupmarge.menugroup.boxspecsgroup.widthgroup.sl.value= win.backgroundgroup.backgroundgroupmarge.menugroup.boxspecsgroup.widthgroup.et.text;
        win.backgroundgroup.backgroundgroupmarge.menugroup.boxspecsgroup.heightgroup.sl.value= win.backgroundgroup.backgroundgroupmarge.menugroup.boxspecsgroup.widthgroup.et.text;
        //win.backgroundgroup.backgroundgroupmarge.menugroup.boxspecsgroup.heightgroup.sl.update();
    }
	win.backgroundgroup.backgroundgroupmarge.menugroup.boxspecsgroup.heightgroup.et.onChange = function () { 
        if (win.backgroundgroup.backgroundgroupmarge.menugroup.boxspecsgroup.heightgroup.et.text > 10000){win.backgroundgroup.backgroundgroupmarge.menugroup.boxspecsgroup.heightgroup.et.text = 10000}
        if (win.backgroundgroup.backgroundgroupmarge.menugroup.boxspecsgroup.heightgroup.et.text < 100){win.backgroundgroup.backgroundgroupmarge.menugroup.boxspecsgroup.heightgroup.et.text = 100}
        win.backgroundgroup.backgroundgroupmarge.menugroup.boxspecsgroup.heightgroup.sl.value= win.backgroundgroup.backgroundgroupmarge.menugroup.boxspecsgroup.heightgroup.et.text;
        win.backgroundgroup.backgroundgroupmarge.menugroup.boxspecsgroup.widthgroup.sl.value= win.backgroundgroup.backgroundgroupmarge.menugroup.boxspecsgroup.heightgroup.et.text;
        //win.backgroundgroup.backgroundgroupmarge.menugroup.boxspecsgroup.widthgroup.sl.update();
	}

	// add button
	win.backgroundgroup.backgroundgroupmarge.buttons.cancelBtn.onClick = function () {
		presscancelbutton = presscancelbutton - 1;
		win.close();
	};

	win.backgroundgroup.backgroundgroupmarge.buttons.doneBtn.onClick = function () {
		win.close();
	};
	
	win.center();
	win.show();
};	
		
function zoomcenterpage(){
		var myView=app.activeDocument.views[0];
		myView.centerPoint = [(app.activeDocument.width/2),(app.activeDocument.height/2)];
		myView.zoom = 1
		myView.screenMode.FULLSCREEN;
}
	
function zet_nulpunt(){
	// zet nulpunt linksonder
	app.activeDocument.pageOrigin = Array(0,0);
	app.activeDocument.rulerOrigin = Array(0,0);
}

function main(){
  var s = [];
  getPathItemsInSelection(1, s);
  if(s.length < 2) return;
  var i;
  for(i = 0; i < s.length; i++){
    readjustAnchors(s[i], conf.torelance);
  }
  var pi = s.shift();
  var p  = pi.pathPoints;
  var z = p.length - 1;
  var pinfo = {};
  var i, p2, z2;
  while(s.length > 0){
    pinfo.child = null;
    for(i = 0; i < s.length; i++){
      p2 = s[i].pathPoints;
      z2 = p2.length - 1;
      cmpLen(pinfo, p, p2, i, 0, 0);
      cmpLen(pinfo, p, p2, i, 0, z2);
      cmpLen(pinfo, p, p2, i, z, 0);
      cmpLen(pinfo, p, p2, i, z, z2);
      if(! pinfo.d) break;
    }
    s.splice( pinfo.cIdx, 1 );
    if(pinfo.pPntIdx == 0) pireverse(pi);
    if(pinfo.cPntIdx > 0)  pireverse(pinfo.child);
    pijoin(pi, pinfo.child);
    z = p.length - 1;
  }
  if(conf.close){
    adjustHandleLen( p[z], p[0]);
    pi.closed = true;
  }
  readjustAnchors(pi);
}

function cmpLen(pinfo, p, p2, i, idx1, idx2){
  var d = dist2( p[idx1].anchor, p2[idx2].anchor);
  if(!pinfo.child || d < pinfo.d){
    pinfo.d = d;
    pinfo.child = p2.parent;
    pinfo.cIdx = i;
    pinfo.pPntIdx = idx1;
    pinfo.cPntIdx = idx2;
  }
}

function adjustHandleLen(p1, p2){
  var d = dist(p1.anchor, p2.anchor);
  
  if(d == 0){
    p2.leftDirection = p1.leftDirection;
    p1.remove();
    
  } else if(d < conf.torelance){
    var pnt = [ (p1.anchor[0] + p2.anchor[0]) / 2,
                (p1.anchor[1] + p2.anchor[1]) / 2 ];
    p2.rightDirection = [ p2.rightDirection[0] + (pnt[0] - p2.anchor[0]),
                          p2.rightDirection[1] + (pnt[1] - p2.anchor[1]) ];
    p2.leftDirection =  [ p1.leftDirection[0] + (pnt[0] - p1.anchor[0]),
                          p1.leftDirection[1] + (pnt[1] - p1.anchor[1]) ];
    p2.anchor = pnt;
    p1.remove();
    
  } else if(conf.hanLen > 0){
    d *= conf.hanLen;
    var d2 = d * d;
    if(!arrEq(p1.anchor, p1.rightDirection)){
      if(conf.dontAddRevHan
         && getRad2(p2.anchor, p1.anchor, p1.rightDirection) > conf.dontAddRevHan){
        p1.rightDirection = p1.anchor;
      } else if(dist2(p1.anchor, p1.rightDirection) > d2){
        p1.rightDirection = getPnt(p1.anchor, getRad(p1.anchor, p1.rightDirection), d);
      }
    }
    if(!arrEq(p2.anchor, p2.leftDirection)){
      if(conf.dontAddRevHan
         && getRad2(p1.anchor, p2.anchor, p2.leftDirection) > conf.dontAddRevHan){
        p2.leftDirection = p2.anchor;
      } else if(dist2(p2.anchor, p2.leftDirection) > d2){
        p2.leftDirection = getPnt(p2.anchor, getRad(p2.anchor, p2.leftDirection), d);
      }
    }
    
  } else {
    p1.rightDirection = p1.anchor;
    p2.leftDirection  = p2.anchor;
  }
}

function getRad(p1, p2) {
  return Math.atan2(p2[1] - p1[1], p2[0] - p1[0]);
}

function getRad2(p1, o, p2){
  var v1 = normalize(p1,o);
  var v2 = normalize(p2,o);
  return Math.acos(v1[0]*v2[0]+v1[1]*v2[1]);
}

function normalize(p, o){
  var d = dist(p,o);
  return d==0 ? [0,0] : [(p[0]-o[0])/d, (p[1]-o[1])/d];
}

function dist(p1, p2) {
  return Math.sqrt(Math.pow(p1[0] - p2[0],2) + Math.pow(p1[1] - p2[1],2));
}

function dist2(p1, p2) {
  return Math.pow(p1[0] - p2[0],2) + Math.pow(p1[1] - p2[1],2);
}

function arrEq(arr1,arr2) {
  for(var i=0; i<arr1.length; i++) if(arr1[i] != arr2[i]) return false;
  return true;
}

function pireverse(pi){
  var p = pi.pathPoints;
  var arr = [];
  
  for (var i=0; i<p.length; i++) {
    with(p[i]) arr.unshift( [anchor, rightDirection, leftDirection, pointType] );
  }

  for (i=0; i<arr.length; i++) {
    with(p[i]){
      anchor         = arr[i][0];
      leftDirection  = arr[i][1];
      rightDirection = arr[i][2];
      pointType      = arr[i][3];
    }
  }
}

function pijoin(pi1, pi2){
  var p1 = pi1.pathPoints;
  var p2 = pi2.pathPoints;
  adjustHandleLen(p1[p1.length-1], p2[0]);
  var pp1;
  for(var i=0; i<p2.length; i++){
    pp1 = p1.add();
    with(pp1){
      anchor         = p2[i].anchor;
      rightDirection = p2[i].rightDirection;
      leftDirection  = p2[i].leftDirection;
      pointType      = p2[i].pointType;
    }
  }
  pi2.remove();
}

function getPnt(pnt, rad, dis){
  return [pnt[0] + Math.cos(rad) * dis,
          pnt[1] + Math.sin(rad) * dis];
}

function getPathItemsInSelection(n, pathes){
  if(documents.length < 1) return;
  
  var s = activeDocument.selection;
  
  if (!(s instanceof Array) || s.length < 1) return;

  extractPathes(s, n, pathes);
}

function extractPathes(s, pp_length_limit, pathes){
  for(var i = 0; i < s.length; i++){
    if(s[i].typename == "PathItem"
       && !s[i].closed
       && !s[i].guides && !s[i].clipping){
      if(pp_length_limit
         && s[i].pathPoints.length <= pp_length_limit){
        continue;
      }
      pathes.push(s[i]);
    } else if(s[i].typename == "GroupItem"){
      extractPathes(s[i].pageItems, pp_length_limit, pathes);
    } else if(s[i].typename == "CompoundPathItem"){
      extractPathes(s[i].pathItems, pp_length_limit , pathes);
    }
  }
}

function readjustAnchors(pi, torelance){
  var p = pi.pathPoints;
  var minDist = torelance;
  minDist *= minDist;
  if(p.length<2) return 1;
  var i;
  if(p.parent.closed){
    for(i=p.length-1;i>=1;i--){
      if(dist2(p[0].anchor, p[i].anchor) < minDist){
        p[0].leftDirection = p[i].leftDirection;
        p[i].remove();
      } else { break; }
    }
  }
  for(i=p.length-1;i>=1;i--){
    if(dist2(p[i].anchor, p[i-1].anchor) < minDist){
      p[i-1].rightDirection = p[i].rightDirection;
      p[i].remove();
    }
  }
  return p.length;
}

function box(){
    var line = doc.layers['Popbox'].layers['Crease'].pathItems.add();
    line.setEntirePath(Array(Array(((x+3.1271139110894)*omf),((y+1.08003768990473)*omf)),Array(((x+2.12700245533391)*omf),((y+1.08003768990473)*omf))));

    line.stroked= true;
    line.filled= false;
    line.strokeOverprint = true;
    line.strokeColor = app.activeDocument.swatches['Crease'].color
    line.strokeWidth = 0.28346499800682;

    var line = doc.layers['Popbox'].layers['Crease'].pathItems.add();
    line.setEntirePath(Array(Array(((x+3.1271139110894)*omf),((y+2.08014914566022)*omf)),Array(((x+3.1271139110894)*omf),((y+1.08003768990473)*omf))));

    line.stroked= true;
    line.filled= false;
    line.strokeOverprint = true;
    line.strokeColor = app.activeDocument.swatches['Crease'].color
    line.strokeWidth = 0.28346499800682;

    var line = doc.layers['Popbox'].layers['Crease'].pathItems.add();
    line.setEntirePath(Array(Array(((x+4.12688085721492)*omf),((y+2.08014914566022)*omf)),Array(((x+3.1271139110894)*omf),((y+2.08014914566022)*omf))));

    line.stroked= true;
    line.filled= false;
    line.strokeOverprint = true;
    line.strokeColor = app.activeDocument.swatches['Crease'].color
    line.strokeWidth = 0.28346499800682;

    var line = doc.layers['Popbox'].layers['Crease'].pathItems.add();
    line.setEntirePath(Array(Array(((x+4.12688085721492)*omf),((y+1.08003768990473)*omf)),Array(((x+4.12688085721492)*omf),((y+2.08014914566022)*omf))));

    line.stroked= true;
    line.filled= false;
    line.strokeOverprint = true;
    line.strokeColor = app.activeDocument.swatches['Crease'].color
    line.strokeWidth = 0.28346499800682;

    var line = doc.layers['Popbox'].layers['Crease'].pathItems.add();
    line.setEntirePath(Array(Array(((x+3.1271139110894)*omf),((y+1.08003768990473)*omf)),Array(((x+4.12688085721492)*omf),((y+1.08003768990473)*omf))));

    line.stroked= true;
    line.filled= false;
    line.strokeOverprint = true;
    line.strokeColor = app.activeDocument.swatches['Crease'].color
    line.strokeWidth = 0.28346499800682;

    var line = doc.layers['Popbox'].layers['Crease'].pathItems.add();
    line.setEntirePath(Array(Array(((x+2.12700245533391)*omf),((y+2.08014914566022)*omf)),Array(((x+3.1271139110894)*omf),((y+2.08014914566022)*omf))));

    line.stroked= true;
    line.filled= false;
    line.strokeOverprint = true;
    line.strokeColor = app.activeDocument.swatches['Crease'].color
    line.strokeWidth = 0.28346499800682;

    var line = doc.layers['Popbox'].layers['Crease'].pathItems.add();
    line.setEntirePath(Array(Array(((x+1.12723550920838)*omf),((y+2.08014914566022)*omf)),Array(((x+1.12723550920838)*omf),((y+1.08003768990473)*omf))));

    line.stroked= true;
    line.filled= false;
    line.strokeOverprint = true;
    line.strokeColor = app.activeDocument.swatches['Crease'].color
    line.strokeWidth = 0.28346499800682;

    var line = doc.layers['Popbox'].layers['Crease'].pathItems.add();
    line.setEntirePath(Array(Array(((x+2.12700245533391)*omf),((y+1.08003768990473)*omf)),Array(((x+2.12700245533391)*omf),((y+2.08014914566022)*omf))));

    line.stroked= true;
    line.filled= false;
    line.strokeOverprint = true;
    line.strokeColor = app.activeDocument.swatches['Crease'].color
    line.strokeWidth = 0.28346499800682;

    var line = doc.layers['Popbox'].layers['Crease'].pathItems.add();
    line.setEntirePath(Array(Array(((x+2.12700245533391)*omf),((y+3.07991609178574)*omf)),Array(((x+3.1271139110894)*omf),((y+2.08014914566022)*omf))));

    line.stroked= true;
    line.filled= false;
    line.strokeOverprint = true;
    line.strokeColor = app.activeDocument.swatches['Crease'].color
    line.strokeWidth = 0.28346499800682;

    var line = doc.layers['Popbox'].layers['Crease'].pathItems.add();
    line.setEntirePath(Array(Array(((x+4.12688085721492)*omf),((y+3.07991609178574)*omf)),Array(((x+3.1271139110894)*omf),((y+2.08014914566022)*omf))));

    line.stroked= true;
    line.filled= false;
    line.strokeOverprint = true;
    line.strokeColor = app.activeDocument.swatches['Crease'].color
    line.strokeWidth = 0.28346499800682;

    var line = doc.layers['Popbox'].layers['Crease'].pathItems.add();
    line.setEntirePath(Array(Array(((x+3.1271139110894)*omf),((y+1.08003768990473)*omf)),Array(((x+2.12700245533391)*omf),((y+0.0802707437792)*omf))));

    line.stroked= true;
    line.filled= false;
    line.strokeOverprint = true;
    line.strokeColor = app.activeDocument.swatches['Crease'].color
    line.strokeWidth = 0.28346499800682;

    var line = doc.layers['Popbox'].layers['Crease'].pathItems.add();
    line.setEntirePath(Array(Array(((x+4.12688085721492)*omf),((y+0.0802707437792)*omf)),Array(((x+3.1271139110894)*omf),((y+1.08003768990473)*omf))));

    line.stroked= true;
    line.filled= false;
    line.strokeOverprint = true;
    line.strokeColor = app.activeDocument.swatches['Crease'].color
    line.strokeWidth = 0.28346499800682;

    var line = doc.layers['Popbox'].layers['Crease'].pathItems.add();
    line.setEntirePath(Array(Array(((x+0.85886250747448)*omf),((y+2.08014914566022)*omf)),Array(((x+0.85886250747448)*omf),((y+1.08003768990473)*omf))));

    line.stroked= true;
    line.filled= false;
    line.strokeOverprint = true;
    line.strokeColor = app.activeDocument.swatches['Crease'].color
    line.strokeWidth = 0.28346499800682;

    var line = doc.layers['Popbox'].layers['Crease'].pathItems.add();
    line.setEntirePath(Array(Array(((x+0.32211650400667)*omf),((y+2.08014914566022)*omf)),Array(((x+0.32211650400667)*omf),((y+1.08003768990473)*omf))));

    line.stroked= true;
    line.filled= false;
    line.strokeOverprint = true;
    line.strokeColor = app.activeDocument.swatches['Crease'].color
    line.strokeWidth = 0.28346499800682;

    var line = doc.layers['Popbox'].layers['Crease'].pathItems.add();
    line.setEntirePath(Array(Array(((x+0.59014499611062)*omf),((y+1.78524890241988)*omf)),Array(((x+0.59014499611062)*omf),((y+1.37493793314507)*omf))));

    line.stroked= true;
    line.filled= false;
    line.strokeOverprint = true;
    line.strokeColor = app.activeDocument.swatches['Crease'].color
    line.strokeWidth = 0.28346499800682;

    var line = doc.layers['Popbox'].layers['Cut'].pathItems.add();
    line.setEntirePath(Array(Array(((x+5.12733682260036)*omf),((y+1.08003768990473)*omf)),Array(((x+5.12733682260036)*omf),((y+2.08014914566022)*omf))));

    line.stroked= true;
    line.filled= false;
    line.strokeOverprint = true;
    line.strokeColor = app.activeDocument.swatches['Cut'].color
    line.strokeWidth = 0.28346499800682;

    var line = doc.layers['Popbox'].layers['Cut'].pathItems.add();
    line.setEntirePath(Array(Array(((x+2.12700245533391)*omf),((y+2.08014914566022)*omf)),Array(((x+1.12723550920838)*omf),((y+2.08014914566022)*omf))));

    line.stroked= true;
    line.filled= false;
    line.strokeOverprint = true;
    line.strokeColor = app.activeDocument.swatches['Cut'].color
    line.strokeWidth = 0.28346499800682;

    var line = doc.layers['Popbox'].layers['Cut'].pathItems.add();
    line.setEntirePath(Array(Array(((x+1.12723550920838)*omf),((y+1.08003768990473)*omf)),Array(((x+2.12700245533391)*omf),((y+1.08003768990473)*omf))));

    line.stroked= true;
    line.filled= false;
    line.strokeOverprint = true;
    line.strokeColor = app.activeDocument.swatches['Cut'].color
    line.strokeWidth = 0.28346499800682;

    var line = doc.layers['Popbox'].layers['Cut'].pathItems.add();
    line.setEntirePath(Array(Array(((x+5.12733682260036)*omf),((y+1.08003768990473)*omf)),Array(((x+4.12688085721492)*omf),((y+1.08003768990473)*omf))));

    line.stroked= true;
    line.filled= false;
    line.strokeOverprint = true;
    line.strokeColor = app.activeDocument.swatches['Cut'].color
    line.strokeWidth = 0.28346499800682;

    var line = doc.layers['Popbox'].layers['Cut'].pathItems.add();
    line.setEntirePath(Array(Array(((x+4.12688085721492)*omf),((y+2.08014914566022)*omf)),Array(((x+5.12733682260036)*omf),((y+2.08014914566022)*omf))));

    line.stroked= true;
    line.filled= false;
    line.strokeOverprint = true;
    line.strokeColor = app.activeDocument.swatches['Cut'].color
    line.strokeWidth = 0.28346499800682;

    var line = doc.layers['Popbox'].layers['Cut'].pathItems.add();
    line.setEntirePath(Array(Array(((x+2.12700245533391)*omf),((y+2.08014914566022)*omf)),Array(((x+2.12700245533391)*omf),((y+3.07991609178574)*omf))));

    line.stroked= true;
    line.filled= false;
    line.strokeOverprint = true;
    line.strokeColor = app.activeDocument.swatches['Cut'].color
    line.strokeWidth = 0.28346499800682;

    var line = doc.layers['Popbox'].layers['Cut'].pathItems.add();
    line.setEntirePath(Array(Array(((x+4.12688085721492)*omf),((y+2.08014914566022)*omf)),Array(((x+4.12688085721492)*omf),((y+3.07991609178574)*omf))));

    line.stroked= true;
    line.filled= false;
    line.strokeOverprint = true;
    line.strokeColor = app.activeDocument.swatches['Cut'].color
    line.strokeWidth = 0.28346499800682;

    var line = doc.layers['Popbox'].layers['Cut'].pathItems.add();
    line.setEntirePath(Array(Array(((x+2.12700245533391)*omf),((y+3.07991609178574)*omf)),Array(((x+2.54385910757784)*omf),((y+3.07991609178574)*omf))));

    line.stroked= true;
    line.filled= false;
    line.strokeOverprint = true;
    line.strokeColor = app.activeDocument.swatches['Cut'].color
    line.strokeWidth = 0.28346499800682;

    var line = doc.layers['Popbox'].layers['Cut'].pathItems.add();
    line.setEntirePath(Array(Array(((x+3.1271139110894)*omf),((y+2.49700579790415)*omf)),Array(((x+3.1271139110894)*omf),((y+2.08014914566022)*omf))));

    line.stroked= true;
    line.filled= false;
    line.strokeOverprint = true;
    line.strokeColor = app.activeDocument.swatches['Cut'].color
    line.strokeWidth = 0.28346499800682;

    var line = doc.layers['Popbox'].layers['Cut'].pathItems.add();
    line.setEntirePath(Array(Array(((x+2.54385910757784)*omf),((y+3.07991609178574)*omf)),Array(((x+2.69268726771783)*omf),((y+2.93108793164576)*omf))));

    line.stroked= true;
    line.filled= false;
    line.strokeOverprint = true;
    line.strokeColor = app.activeDocument.swatches['Cut'].color
    line.strokeWidth = 0.28346499800682;

    var line = doc.layers['Popbox'].layers['Cut'].pathItems.add();
    line.setEntirePath(Array(Array(((x+2.6950988351275)*omf),((y+2.77226899223712)*omf)),Array(((x+2.68889766178834)*omf),((y+2.75745507814912)*omf)),Array(((x+2.6950988351275)*omf),((y+2.74229665443115)*omf))));
    line.pathPoints[0].leftDirection = Array(((x+2.6950988351275)*omf),((y+2.77226899223712)*omf));
    line.pathPoints[0].rightDirection = Array(((x+2.69130922919801)*omf),((y+2.76813487667768)*omf));
    line.pathPoints[2].leftDirection = Array(((x+2.69130922919801)*omf),((y+2.7464307699906)*omf));
    line.pathPoints[2].rightDirection = Array(((x+2.6950988351275)*omf),((y+2.74229665443115)*omf));

    line.stroked= true;
    line.filled= false;
    line.strokeOverprint = true;
    line.strokeColor = app.activeDocument.swatches['Cut'].color
    line.strokeWidth = 0.28346499800682;

    var line = doc.layers['Popbox'].layers['Cut'].pathItems.add();
    line.setEntirePath(Array(Array(((x+2.77330252112698)*omf),((y+2.8504726782366)*omf)),Array(((x+2.6950988351275)*omf),((y+2.77226899223712)*omf))));

    line.stroked= true;
    line.filled= false;
    line.strokeOverprint = true;
    line.strokeColor = app.activeDocument.swatches['Cut'].color
    line.strokeWidth = 0.28346499800682;

    var line = doc.layers['Popbox'].layers['Cut'].pathItems.add();
    line.setEntirePath(Array(Array(((x+3.1271139110894)*omf),((y+2.49700579790415)*omf)),Array(((x+2.77330252112698)*omf),((y+2.8504726782366)*omf))));

    line.stroked= true;
    line.filled= false;
    line.strokeOverprint = true;
    line.strokeColor = app.activeDocument.swatches['Cut'].color
    line.strokeWidth = 0.28346499800682;

    var line = doc.layers['Popbox'].layers['Cut'].pathItems.add();
    line.setEntirePath(Array(Array(((x+2.72507117293347)*omf),((y+2.74229665443115)*omf)),Array(((x+2.73988508702148)*omf),((y+2.74849782777032)*omf)),Array(((x+2.75469900110949)*omf),((y+2.74229665443115)*omf))));
    line.pathPoints[0].leftDirection = Array(((x+2.72507117293347)*omf),((y+2.74229665443115)*omf));
    line.pathPoints[0].rightDirection = Array(((x+2.72886077886296)*omf),((y+2.7464307699906)*omf));
    line.pathPoints[2].leftDirection = Array(((x+2.75090939518)*omf),((y+2.7464307699906)*omf));
    line.pathPoints[2].rightDirection = Array(((x+2.75469900110949)*omf),((y+2.74229665443115)*omf));

    line.stroked= true;
    line.filled= false;
    line.strokeOverprint = true;
    line.strokeColor = app.activeDocument.swatches['Cut'].color
    line.strokeWidth = 0.28346499800682;

    var line = doc.layers['Popbox'].layers['Cut'].pathItems.add();
    line.setEntirePath(Array(Array(((x+2.72507117293347)*omf),((y+2.74229665443115)*omf)),Array(((x+2.71025725884546)*omf),((y+2.73609548109199)*omf)),Array(((x+2.6950988351275)*omf),((y+2.74229665443115)*omf))));
    line.pathPoints[0].leftDirection = Array(((x+2.72507117293347)*omf),((y+2.74229665443115)*omf));
    line.pathPoints[0].rightDirection = Array(((x+2.72093705737403)*omf),((y+2.73850704850166)*omf));
    line.pathPoints[2].leftDirection = Array(((x+2.69923295068695)*omf),((y+2.73850704850166)*omf));
    line.pathPoints[2].rightDirection = Array(((x+2.6950988351275)*omf),((y+2.74229665443115)*omf));

    line.stroked= true;
    line.filled= false;
    line.strokeOverprint = true;
    line.strokeColor = app.activeDocument.swatches['Cut'].color
    line.strokeWidth = 0.28346499800682;

    var line = doc.layers['Popbox'].layers['Cut'].pathItems.add();
    line.setEntirePath(Array(Array(((x+2.70646765291597)*omf),((y+2.66443747806163)*omf)),Array(((x+2.63928827507501)*omf),((y+2.73127234627264)*omf))));

    line.stroked= true;
    line.filled= false;
    line.strokeOverprint = true;
    line.strokeColor = app.activeDocument.swatches['Cut'].color
    line.strokeWidth = 0.28346499800682;

    var line = doc.layers['Popbox'].layers['Cut'].pathItems.add();
    line.setEntirePath(Array(Array(((x+2.75469900110949)*omf),((y+2.71266882625514)*omf)),Array(((x+2.70646765291597)*omf),((y+2.66443747806163)*omf))));

    line.stroked= true;
    line.filled= false;
    line.strokeOverprint = true;
    line.strokeColor = app.activeDocument.swatches['Cut'].color
    line.strokeWidth = 0.28346499800682;

    var line = doc.layers['Popbox'].layers['Cut'].pathItems.add();
    line.setEntirePath(Array(Array(((x+2.75469900110949)*omf),((y+2.74229665443115)*omf)),Array(((x+2.76090017444865)*omf),((y+2.72748274034315)*omf)),Array(((x+2.75469900110949)*omf),((y+2.71266882625514)*omf))));
    line.pathPoints[0].leftDirection = Array(((x+2.75469900110949)*omf),((y+2.74229665443115)*omf));
    line.pathPoints[0].rightDirection = Array(((x+2.75848860703898)*omf),((y+2.73850704850166)*omf));
    line.pathPoints[2].leftDirection = Array(((x+2.75848860703898)*omf),((y+2.71680294181458)*omf));
    line.pathPoints[2].rightDirection = Array(((x+2.75469900110949)*omf),((y+2.71266882625514)*omf));

    line.stroked= true;
    line.filled= false;
    line.strokeOverprint = true;
    line.strokeColor = app.activeDocument.swatches['Cut'].color
    line.strokeWidth = 0.28346499800682;

    var line = doc.layers['Popbox'].layers['Cut'].pathItems.add();
    line.setEntirePath(Array(Array(((x+2.69268726771783)*omf),((y+2.93108793164576)*omf)),Array(((x+2.63928827507501)*omf),((y+2.73127234627264)*omf))));

    line.stroked= true;
    line.filled= false;
    line.strokeOverprint = true;
    line.strokeColor = app.activeDocument.swatches['Cut'].color
    line.strokeWidth = 0.28346499800682;

    var line = doc.layers['Popbox'].layers['Cut'].pathItems.add();
    line.setEntirePath(Array(Array(((x+3.71002420497099)*omf),((y+3.07991609178574)*omf)),Array(((x+3.56119604483101)*omf),((y+2.93108793164576)*omf))));

    line.stroked= true;
    line.filled= false;
    line.strokeOverprint = true;
    line.strokeColor = app.activeDocument.swatches['Cut'].color
    line.strokeWidth = 0.28346499800682;

    var line = doc.layers['Popbox'].layers['Cut'].pathItems.add();
    line.setEntirePath(Array(Array(((x+4.12688085721492)*omf),((y+3.07991609178574)*omf)),Array(((x+3.71002420497099)*omf),((y+3.07991609178574)*omf))));

    line.stroked= true;
    line.filled= false;
    line.strokeOverprint = true;
    line.strokeColor = app.activeDocument.swatches['Cut'].color
    line.strokeWidth = 0.28346499800682;

    var line = doc.layers['Popbox'].layers['Cut'].pathItems.add();
    line.setEntirePath(Array(Array(((x+3.55843996779138)*omf),((y+2.77226899223712)*omf)),Array(((x+3.56464114113055)*omf),((y+2.75745507814912)*omf)),Array(((x+3.55843996779138)*omf),((y+2.74229665443115)*omf))));
    line.pathPoints[0].leftDirection = Array(((x+3.55843996779138)*omf),((y+2.77226899223712)*omf));
    line.pathPoints[0].rightDirection = Array(((x+3.56257408335083)*omf),((y+2.76813487667768)*omf));
    line.pathPoints[2].leftDirection = Array(((x+3.56257408335083)*omf),((y+2.7464307699906)*omf));
    line.pathPoints[2].rightDirection = Array(((x+3.55843996779138)*omf),((y+2.74229665443115)*omf));

    line.stroked= true;
    line.filled= false;
    line.strokeOverprint = true;
    line.strokeColor = app.activeDocument.swatches['Cut'].color
    line.strokeWidth = 0.28346499800682;

    var line = doc.layers['Popbox'].layers['Cut'].pathItems.add();
    line.setEntirePath(Array(Array(((x+3.48058079142185)*omf),((y+2.8504726782366)*omf)),Array(((x+3.55843996779138)*omf),((y+2.77226899223712)*omf))));

    line.stroked= true;
    line.filled= false;
    line.strokeOverprint = true;
    line.strokeColor = app.activeDocument.swatches['Cut'].color
    line.strokeWidth = 0.28346499800682;

    var line = doc.layers['Popbox'].layers['Cut'].pathItems.add();
    line.setEntirePath(Array(Array(((x+3.1271139110894)*omf),((y+2.49700579790415)*omf)),Array(((x+3.48058079142185)*omf),((y+2.8504726782366)*omf))));

    line.stroked= true;
    line.filled= false;
    line.strokeOverprint = true;
    line.strokeColor = app.activeDocument.swatches['Cut'].color
    line.strokeWidth = 0.28346499800682;

    var line = doc.layers['Popbox'].layers['Cut'].pathItems.add();
    line.setEntirePath(Array(Array(((x+3.52881213961537)*omf),((y+2.74229665443115)*omf)),Array(((x+3.51365371589741)*omf),((y+2.74849782777032)*omf)),Array(((x+3.49918431143935)*omf),((y+2.74229665443115)*omf))));
    line.pathPoints[0].leftDirection = Array(((x+3.52881213961537)*omf),((y+2.74229665443115)*omf));
    line.pathPoints[0].rightDirection = Array(((x+3.52467802405592)*omf),((y+2.7464307699906)*omf));
    line.pathPoints[2].leftDirection = Array(((x+3.50297391736884)*omf),((y+2.7464307699906)*omf));
    line.pathPoints[2].rightDirection = Array(((x+3.49918431143935)*omf),((y+2.74229665443115)*omf));

    line.stroked= true;
    line.filled= false;
    line.strokeOverprint = true;
    line.strokeColor = app.activeDocument.swatches['Cut'].color
    line.strokeWidth = 0.28346499800682;

    var line = doc.layers['Popbox'].layers['Cut'].pathItems.add();
    line.setEntirePath(Array(Array(((x+3.52881213961537)*omf),((y+2.74229665443115)*omf)),Array(((x+3.54362605370337)*omf),((y+2.73609548109199)*omf)),Array(((x+3.55843996779138)*omf),((y+2.74229665443115)*omf))));
    line.pathPoints[0].leftDirection = Array(((x+3.52881213961537)*omf),((y+2.74229665443115)*omf));
    line.pathPoints[0].rightDirection = Array(((x+3.53260174554486)*omf),((y+2.73850704850166)*omf));
    line.pathPoints[2].leftDirection = Array(((x+3.55465036186189)*omf),((y+2.73850704850166)*omf));
    line.pathPoints[2].rightDirection = Array(((x+3.55843996779138)*omf),((y+2.74229665443115)*omf));

    line.stroked= true;
    line.filled= false;
    line.strokeOverprint = true;
    line.strokeColor = app.activeDocument.swatches['Cut'].color
    line.strokeWidth = 0.28346499800682;

    var line = doc.layers['Popbox'].layers['Cut'].pathItems.add();
    line.setEntirePath(Array(Array(((x+3.54741565963286)*omf),((y+2.66443747806163)*omf)),Array(((x+3.61425052784387)*omf),((y+2.73127234627264)*omf))));

    line.stroked= true;
    line.filled= false;
    line.strokeOverprint = true;
    line.strokeColor = app.activeDocument.swatches['Cut'].color
    line.strokeWidth = 0.28346499800682;

    var line = doc.layers['Popbox'].layers['Cut'].pathItems.add();
    line.setEntirePath(Array(Array(((x+3.49918431143935)*omf),((y+2.71266882625514)*omf)),Array(((x+3.54741565963286)*omf),((y+2.66443747806163)*omf))));

    line.stroked= true;
    line.filled= false;
    line.strokeOverprint = true;
    line.strokeColor = app.activeDocument.swatches['Cut'].color
    line.strokeWidth = 0.28346499800682;

    var line = doc.layers['Popbox'].layers['Cut'].pathItems.add();
    line.setEntirePath(Array(Array(((x+3.49918431143935)*omf),((y+2.74229665443115)*omf)),Array(((x+3.49298313810019)*omf),((y+2.72748274034315)*omf)),Array(((x+3.49918431143935)*omf),((y+2.71266882625514)*omf))));
    line.pathPoints[0].leftDirection = Array(((x+3.49918431143935)*omf),((y+2.74229665443115)*omf));
    line.pathPoints[0].rightDirection = Array(((x+3.49505019587991)*omf),((y+2.73850704850166)*omf));
    line.pathPoints[2].leftDirection = Array(((x+3.49505019587991)*omf),((y+2.71680294181458)*omf));
    line.pathPoints[2].rightDirection = Array(((x+3.49918431143935)*omf),((y+2.71266882625514)*omf));

    line.stroked= true;
    line.filled= false;
    line.strokeOverprint = true;
    line.strokeColor = app.activeDocument.swatches['Cut'].color
    line.strokeWidth = 0.28346499800682;

    var line = doc.layers['Popbox'].layers['Cut'].pathItems.add();
    line.setEntirePath(Array(Array(((x+3.56119604483101)*omf),((y+2.93108793164576)*omf)),Array(((x+3.61425052784387)*omf),((y+2.73127234627264)*omf))));

    line.stroked= true;
    line.filled= false;
    line.strokeOverprint = true;
    line.strokeColor = app.activeDocument.swatches['Cut'].color
    line.strokeWidth = 0.28346499800682;

    var line = doc.layers['Popbox'].layers['Cut'].pathItems.add();
    line.setEntirePath(Array(Array(((x+2.12700245533391)*omf),((y+0.0802707437792)*omf)),Array(((x+2.12700245533391)*omf),((y+1.08003768990473)*omf))));

    line.stroked= true;
    line.filled= false;
    line.strokeOverprint = true;
    line.strokeColor = app.activeDocument.swatches['Cut'].color
    line.strokeWidth = 0.28346499800682;

    var line = doc.layers['Popbox'].layers['Cut'].pathItems.add();
    line.setEntirePath(Array(Array(((x+4.12688085721492)*omf),((y+1.08003768990473)*omf)),Array(((x+4.12688085721492)*omf),((y+0.0802707437792)*omf))));

    line.stroked= true;
    line.filled= false;
    line.strokeOverprint = true;
    line.strokeColor = app.activeDocument.swatches['Cut'].color
    line.strokeWidth = 0.28346499800682;

    var line = doc.layers['Popbox'].layers['Cut'].pathItems.add();
    line.setEntirePath(Array(Array(((x+2.12700245533391)*omf),((y+0.0802707437792)*omf)),Array(((x+2.54385910757784)*omf),((y+0.0802707437792)*omf))));

    line.stroked= true;
    line.filled= false;
    line.strokeOverprint = true;
    line.strokeColor = app.activeDocument.swatches['Cut'].color
    line.strokeWidth = 0.28346499800682;

    var line = doc.layers['Popbox'].layers['Cut'].pathItems.add();
    line.setEntirePath(Array(Array(((x+3.1271139110894)*omf),((y+0.66352554729075)*omf)),Array(((x+3.1271139110894)*omf),((y+1.08003768990473)*omf))));

    line.stroked= true;
    line.filled= false;
    line.strokeOverprint = true;
    line.strokeColor = app.activeDocument.swatches['Cut'].color
    line.strokeWidth = 0.28346499800682;

    var line = doc.layers['Popbox'].layers['Cut'].pathItems.add();
    line.setEntirePath(Array(Array(((x+2.54385910757784)*omf),((y+0.0802707437792)*omf)),Array(((x+2.69268726771783)*omf),((y+0.22909890391919)*omf))));

    line.stroked= true;
    line.filled= false;
    line.strokeOverprint = true;
    line.strokeColor = app.activeDocument.swatches['Cut'].color
    line.strokeWidth = 0.28346499800682;

    var line = doc.layers['Popbox'].layers['Cut'].pathItems.add();
    line.setEntirePath(Array(Array(((x+2.6950988351275)*omf),((y+0.38791784332782)*omf)),Array(((x+2.68889766178834)*omf),((y+0.40307626704579)*omf)),Array(((x+2.6950988351275)*omf),((y+0.41789018113379)*omf))));
    line.pathPoints[0].leftDirection = Array(((x+2.6950988351275)*omf),((y+0.38791784332782)*omf));
    line.pathPoints[0].rightDirection = Array(((x+2.69130922919801)*omf),((y+0.39205195888727)*omf));
    line.pathPoints[2].leftDirection = Array(((x+2.69130922919801)*omf),((y+0.4141005752043)*omf));
    line.pathPoints[2].rightDirection = Array(((x+2.6950988351275)*omf),((y+0.41789018113379)*omf));

    line.stroked= true;
    line.filled= false;
    line.strokeOverprint = true;
    line.strokeColor = app.activeDocument.swatches['Cut'].color
    line.strokeWidth = 0.28346499800682;

    var line = doc.layers['Popbox'].layers['Cut'].pathItems.add();
    line.setEntirePath(Array(Array(((x+2.77330252112698)*omf),((y+0.3100586669583)*omf)),Array(((x+2.6950988351275)*omf),((y+0.38791784332782)*omf))));

    line.stroked= true;
    line.filled= false;
    line.strokeOverprint = true;
    line.strokeColor = app.activeDocument.swatches['Cut'].color
    line.strokeWidth = 0.28346499800682;

    var line = doc.layers['Popbox'].layers['Cut'].pathItems.add();
    line.setEntirePath(Array(Array(((x+3.1271139110894)*omf),((y+0.66352554729075)*omf)),Array(((x+2.77330252112698)*omf),((y+0.3100586669583)*omf))));

    line.stroked= true;
    line.filled= false;
    line.strokeOverprint = true;
    line.strokeColor = app.activeDocument.swatches['Cut'].color
    line.strokeWidth = 0.28346499800682;

    var line = doc.layers['Popbox'].layers['Cut'].pathItems.add();
    line.setEntirePath(Array(Array(((x+2.72507117293347)*omf),((y+0.41789018113379)*omf)),Array(((x+2.73988508702148)*omf),((y+0.41168900779463)*omf)),Array(((x+2.75469900110949)*omf),((y+0.41789018113379)*omf))));
    line.pathPoints[0].leftDirection = Array(((x+2.72507117293347)*omf),((y+0.41789018113379)*omf));
    line.pathPoints[0].rightDirection = Array(((x+2.72886077886296)*omf),((y+0.4141005752043)*omf));
    line.pathPoints[2].leftDirection = Array(((x+2.75090939518)*omf),((y+0.4141005752043)*omf));
    line.pathPoints[2].rightDirection = Array(((x+2.75469900110949)*omf),((y+0.41789018113379)*omf));

    line.stroked= true;
    line.filled= false;
    line.strokeOverprint = true;
    line.strokeColor = app.activeDocument.swatches['Cut'].color
    line.strokeWidth = 0.28346499800682;

    var line = doc.layers['Popbox'].layers['Cut'].pathItems.add();
    line.setEntirePath(Array(Array(((x+2.72507117293347)*omf),((y+0.41789018113379)*omf)),Array(((x+2.71025725884546)*omf),((y+0.42374684484301)*omf)),Array(((x+2.6950988351275)*omf),((y+0.41789018113379)*omf))));
    line.pathPoints[0].leftDirection = Array(((x+2.72507117293347)*omf),((y+0.41789018113379)*omf));
    line.pathPoints[0].rightDirection = Array(((x+2.72093705737403)*omf),((y+0.42167978706328)*omf));
    line.pathPoints[2].leftDirection = Array(((x+2.69923295068695)*omf),((y+0.42167978706328)*omf));
    line.pathPoints[2].rightDirection = Array(((x+2.6950988351275)*omf),((y+0.41789018113379)*omf));

    line.stroked= true;
    line.filled= false;
    line.strokeOverprint = true;
    line.strokeColor = app.activeDocument.swatches['Cut'].color
    line.strokeWidth = 0.28346499800682;

    var line = doc.layers['Popbox'].layers['Cut'].pathItems.add();
    line.setEntirePath(Array(Array(((x+2.70646765291597)*omf),((y+0.49609386713327)*omf)),Array(((x+2.63928827507501)*omf),((y+0.42891448929231)*omf))));

    line.stroked= true;
    line.filled= false;
    line.strokeOverprint = true;
    line.strokeColor = app.activeDocument.swatches['Cut'].color
    line.strokeWidth = 0.28346499800682;

    var line = doc.layers['Popbox'].layers['Cut'].pathItems.add();
    line.setEntirePath(Array(Array(((x+2.75469900110949)*omf),((y+0.44751800930981)*omf)),Array(((x+2.70646765291597)*omf),((y+0.49609386713327)*omf))));

    line.stroked= true;
    line.filled= false;
    line.strokeOverprint = true;
    line.strokeColor = app.activeDocument.swatches['Cut'].color
    line.strokeWidth = 0.28346499800682;

    var line = doc.layers['Popbox'].layers['Cut'].pathItems.add();
    line.setEntirePath(Array(Array(((x+2.75469900110949)*omf),((y+0.41789018113379)*omf)),Array(((x+2.76090017444865)*omf),((y+0.4327040952218)*omf)),Array(((x+2.75469900110949)*omf),((y+0.44751800930981)*omf))));
    line.pathPoints[0].leftDirection = Array(((x+2.75469900110949)*omf),((y+0.41789018113379)*omf));
    line.pathPoints[0].rightDirection = Array(((x+2.75848860703898)*omf),((y+0.42167978706328)*omf));
    line.pathPoints[2].leftDirection = Array(((x+2.75848860703898)*omf),((y+0.44372840338032)*omf));
    line.pathPoints[2].rightDirection = Array(((x+2.75469900110949)*omf),((y+0.44751800930981)*omf));

    line.stroked= true;
    line.filled= false;
    line.strokeOverprint = true;
    line.strokeColor = app.activeDocument.swatches['Cut'].color
    line.strokeWidth = 0.28346499800682;

    var line = doc.layers['Popbox'].layers['Cut'].pathItems.add();
    line.setEntirePath(Array(Array(((x+2.69268726771783)*omf),((y+0.22909890391919)*omf)),Array(((x+2.63928827507501)*omf),((y+0.42891448929231)*omf))));

    line.stroked= true;
    line.filled= false;
    line.strokeOverprint = true;
    line.strokeColor = app.activeDocument.swatches['Cut'].color
    line.strokeWidth = 0.28346499800682;

    var line = doc.layers['Popbox'].layers['Cut'].pathItems.add();
    line.setEntirePath(Array(Array(((x+3.71002420497099)*omf),((y+0.0802707437792)*omf)),Array(((x+3.56119604483101)*omf),((y+0.22909890391919)*omf))));

    line.stroked= true;
    line.filled= false;
    line.strokeOverprint = true;
    line.strokeColor = app.activeDocument.swatches['Cut'].color
    line.strokeWidth = 0.28346499800682;

    var line = doc.layers['Popbox'].layers['Cut'].pathItems.add();
    line.setEntirePath(Array(Array(((x+4.12688085721492)*omf),((y+0.0802707437792)*omf)),Array(((x+3.71002420497099)*omf),((y+0.0802707437792)*omf))));

    line.stroked= true;
    line.filled= false;
    line.strokeOverprint = true;
    line.strokeColor = app.activeDocument.swatches['Cut'].color
    line.strokeWidth = 0.28346499800682;

    var line = doc.layers['Popbox'].layers['Cut'].pathItems.add();
    line.setEntirePath(Array(Array(((x+3.55843996779138)*omf),((y+0.38791784332782)*omf)),Array(((x+3.56464114113055)*omf),((y+0.40307626704579)*omf)),Array(((x+3.55843996779138)*omf),((y+0.41789018113379)*omf))));
    line.pathPoints[0].leftDirection = Array(((x+3.55843996779138)*omf),((y+0.38791784332782)*omf));
    line.pathPoints[0].rightDirection = Array(((x+3.56257408335083)*omf),((y+0.39205195888727)*omf));
    line.pathPoints[2].leftDirection = Array(((x+3.56257408335083)*omf),((y+0.4141005752043)*omf));
    line.pathPoints[2].rightDirection = Array(((x+3.55843996779138)*omf),((y+0.41789018113379)*omf));

    line.stroked= true;
    line.filled= false;
    line.strokeOverprint = true;
    line.strokeColor = app.activeDocument.swatches['Cut'].color
    line.strokeWidth = 0.28346499800682;

    var line = doc.layers['Popbox'].layers['Cut'].pathItems.add();
    line.setEntirePath(Array(Array(((x+3.48058079142185)*omf),((y+0.3100586669583)*omf)),Array(((x+3.55843996779138)*omf),((y+0.38791784332782)*omf))));

    line.stroked= true;
    line.filled= false;
    line.strokeOverprint = true;
    line.strokeColor = app.activeDocument.swatches['Cut'].color
    line.strokeWidth = 0.28346499800682;

    var line = doc.layers['Popbox'].layers['Cut'].pathItems.add();
    line.setEntirePath(Array(Array(((x+3.1271139110894)*omf),((y+0.66352554729075)*omf)),Array(((x+3.48058079142185)*omf),((y+0.3100586669583)*omf))));

    line.stroked= true;
    line.filled= false;
    line.strokeOverprint = true;
    line.strokeColor = app.activeDocument.swatches['Cut'].color
    line.strokeWidth = 0.28346499800682;

    var line = doc.layers['Popbox'].layers['Cut'].pathItems.add();
    line.setEntirePath(Array(Array(((x+3.52881213961537)*omf),((y+0.41789018113379)*omf)),Array(((x+3.51365371589741)*omf),((y+0.41168900779463)*omf)),Array(((x+3.49918431143935)*omf),((y+0.41789018113379)*omf))));
    line.pathPoints[0].leftDirection = Array(((x+3.52881213961537)*omf),((y+0.41789018113379)*omf));
    line.pathPoints[0].rightDirection = Array(((x+3.52467802405592)*omf),((y+0.4141005752043)*omf));
    line.pathPoints[2].leftDirection = Array(((x+3.50297391736884)*omf),((y+0.4141005752043)*omf));
    line.pathPoints[2].rightDirection = Array(((x+3.49918431143935)*omf),((y+0.41789018113379)*omf));

    line.stroked= true;
    line.filled= false;
    line.strokeOverprint = true;
    line.strokeColor = app.activeDocument.swatches['Cut'].color
    line.strokeWidth = 0.28346499800682;

    var line = doc.layers['Popbox'].layers['Cut'].pathItems.add();
    line.setEntirePath(Array(Array(((x+3.52881213961537)*omf),((y+0.41789018113379)*omf)),Array(((x+3.54362605370337)*omf),((y+0.42374684484301)*omf)),Array(((x+3.55843996779138)*omf),((y+0.41789018113379)*omf))));
    line.pathPoints[0].leftDirection = Array(((x+3.52881213961537)*omf),((y+0.41789018113379)*omf));
    line.pathPoints[0].rightDirection = Array(((x+3.53260174554486)*omf),((y+0.42167978706328)*omf));
    line.pathPoints[2].leftDirection = Array(((x+3.55465036186189)*omf),((y+0.42167978706328)*omf));
    line.pathPoints[2].rightDirection = Array(((x+3.55843996779138)*omf),((y+0.41789018113379)*omf));

    line.stroked= true;
    line.filled= false;
    line.strokeOverprint = true;
    line.strokeColor = app.activeDocument.swatches['Cut'].color
    line.strokeWidth = 0.28346499800682;

    var line = doc.layers['Popbox'].layers['Cut'].pathItems.add();
    line.setEntirePath(Array(Array(((x+3.54741565963286)*omf),((y+0.49609386713327)*omf)),Array(((x+3.61425052784387)*omf),((y+0.42891448929231)*omf))));

    line.stroked= true;
    line.filled= false;
    line.strokeOverprint = true;
    line.strokeColor = app.activeDocument.swatches['Cut'].color
    line.strokeWidth = 0.28346499800682;

    var line = doc.layers['Popbox'].layers['Cut'].pathItems.add();
    line.setEntirePath(Array(Array(((x+3.49918431143935)*omf),((y+0.44751800930981)*omf)),Array(((x+3.54741565963286)*omf),((y+0.49609386713327)*omf))));

    line.stroked= true;
    line.filled= false;
    line.strokeOverprint = true;
    line.strokeColor = app.activeDocument.swatches['Cut'].color
    line.strokeWidth = 0.28346499800682;

    var line = doc.layers['Popbox'].layers['Cut'].pathItems.add();
    line.setEntirePath(Array(Array(((x+3.49918431143935)*omf),((y+0.41789018113379)*omf)),Array(((x+3.49298313810019)*omf),((y+0.4327040952218)*omf)),Array(((x+3.49918431143935)*omf),((y+0.44751800930981)*omf))));
    line.pathPoints[0].leftDirection = Array(((x+3.49918431143935)*omf),((y+0.41789018113379)*omf));
    line.pathPoints[0].rightDirection = Array(((x+3.49505019587991)*omf),((y+0.42167978706328)*omf));
    line.pathPoints[2].leftDirection = Array(((x+3.49505019587991)*omf),((y+0.44372840338032)*omf));
    line.pathPoints[2].rightDirection = Array(((x+3.49918431143935)*omf),((y+0.44751800930981)*omf));

    line.stroked= true;
    line.filled= false;
    line.strokeOverprint = true;
    line.strokeColor = app.activeDocument.swatches['Cut'].color
    line.strokeWidth = 0.28346499800682;

    var line = doc.layers['Popbox'].layers['Cut'].pathItems.add();
    line.setEntirePath(Array(Array(((x+3.56119604483101)*omf),((y+0.22909890391919)*omf)),Array(((x+3.61425052784387)*omf),((y+0.42891448929231)*omf))));

    line.stroked= true;
    line.filled= false;
    line.strokeOverprint = true;
    line.strokeColor = app.activeDocument.swatches['Cut'].color
    line.strokeWidth = 0.28346499800682;

    var line = doc.layers['Popbox'].layers['Cut'].pathItems.add();
    line.setEntirePath(Array(Array(((x+0.07992623414925)*omf),((y+2.08014914566022)*omf)),Array(((x+0.07992623414925)*omf),((y+1.08003768990473)*omf))));

    line.stroked= true;
    line.filled= false;
    line.strokeOverprint = true;
    line.strokeColor = app.activeDocument.swatches['Cut'].color
    line.strokeWidth = 0.28346499800682;

    var line = doc.layers['Popbox'].layers['Cut'].pathItems.add();
    line.setEntirePath(Array(Array(((x+0.07992623414925)*omf),((y+2.08014914566022)*omf)),Array(((x+0.54811482125628)*omf),((y+2.08014914566022)*omf))));

    line.stroked= true;
    line.filled= false;
    line.strokeOverprint = true;
    line.strokeColor = app.activeDocument.swatches['Cut'].color
    line.strokeWidth = 0.28346499800682;

    var line = doc.layers['Popbox'].layers['Cut'].pathItems.add();
    line.setEntirePath(Array(Array(((x+0.63251968059492)*omf),((y+2.08014914566022)*omf)),Array(((x+1.12723550920838)*omf),((y+2.08014914566022)*omf))));

    line.stroked= true;
    line.filled= false;
    line.strokeOverprint = true;
    line.strokeColor = app.activeDocument.swatches['Cut'].color
    line.strokeWidth = 0.28346499800682;

    var line = doc.layers['Popbox'].layers['Cut'].pathItems.add();
    line.setEntirePath(Array(Array(((x+0.07992623414925)*omf),((y+1.08003768990473)*omf)),Array(((x+0.54811482125628)*omf),((y+1.08003768990473)*omf))));

    line.stroked= true;
    line.filled= false;
    line.strokeOverprint = true;
    line.strokeColor = app.activeDocument.swatches['Cut'].color
    line.strokeWidth = 0.28346499800682;

    var line = doc.layers['Popbox'].layers['Cut'].pathItems.add();
    line.setEntirePath(Array(Array(((x+0.63251968059492)*omf),((y+1.08003768990473)*omf)),Array(((x+1.12723550920838)*omf),((y+1.08003768990473)*omf))));

    line.stroked= true;
    line.filled= false;
    line.strokeOverprint = true;
    line.strokeColor = app.activeDocument.swatches['Cut'].color
    line.strokeWidth = 0.28346499800682;

    var line = doc.layers['Popbox'].layers['Cut'].pathItems.add();
    line.setEntirePath(Array(Array(((x+0.60599243908849)*omf),((y+1.80109634539775)*omf)),Array(((x+0.63251968059492)*omf),((y+2.08014914566022)*omf))));

    line.stroked= true;
    line.filled= false;
    var itemColor = new CMYKColor();
    line.strokeOverprint = true;
    line.strokeColor = app.activeDocument.swatches['Cut'].color
    line.strokeWidth = 0.28346499800682;

    var line = doc.layers['Popbox'].layers['Cut'].pathItems.add();
    line.setEntirePath(Array(Array(((x+0.59014499611062)*omf),((y+1.78524890241988)*omf)),Array(((x+0.60151381389909)*omf),((y+1.79007203723923)*omf)),Array(((x+0.60599243908849)*omf),((y+1.80109634539775)*omf))));
    line.pathPoints[1].leftDirection = Array(((x+0.59841322722951)*omf),((y+1.78697145056965)*omf));
    line.pathPoints[1].rightDirection = Array(((x+0.60461440056868)*omf),((y+1.79282811427886)*omf));

    line.stroked= true;
    line.filled= false;
    line.strokeOverprint = true;
    line.strokeColor = app.activeDocument.swatches['Cut'].color
    line.strokeWidth = 0.28346499800682;

    var line = doc.layers['Popbox'].layers['Cut'].pathItems.add();
    line.setEntirePath(Array(Array(((x+0.57464206276271)*omf),((y+1.80109634539775)*omf)),Array(((x+0.57912068795211)*omf),((y+1.79007203723923)*omf)),Array(((x+0.59014499611062)*omf),((y+1.78524890241988)*omf))));
    line.pathPoints[1].leftDirection = Array(((x+0.57636461091248)*omf),((y+1.79282811427886)*omf));
    line.pathPoints[1].rightDirection = Array(((x+0.58222127462169)*omf),((y+1.78697145056965)*omf));

    line.stroked= true;
    line.filled= false;
    line.strokeOverprint = true;
    line.strokeColor = app.activeDocument.swatches['Cut'].color
    line.strokeWidth = 0.28346499800682;

    var line = doc.layers['Popbox'].layers['Cut'].pathItems.add();
    line.setEntirePath(Array(Array(((x+0.57464206276271)*omf),((y+1.80109634539775)*omf)),Array(((x+0.54811482125628)*omf),((y+2.08014914566022)*omf))));

    line.stroked= true;
    line.filled= false;
    line.strokeOverprint = true;
    line.strokeColor = app.activeDocument.swatches['Cut'].color
    line.strokeWidth = 0.28346499800682;

    var line = doc.layers['Popbox'].layers['Cut'].pathItems.add();
    line.setEntirePath(Array(Array(((x+0.60599243908849)*omf),((y+1.3590904901672)*omf)),Array(((x+0.63251968059492)*omf),((y+1.08003768990473)*omf))));

    line.stroked= true;
    line.filled= false;
    line.strokeOverprint = true;
    line.strokeColor = app.activeDocument.swatches['Cut'].color
    line.strokeWidth = 0.28346499800682;

    var line = doc.layers['Popbox'].layers['Cut'].pathItems.add();
    line.setEntirePath(Array(Array(((x+0.59014499611062)*omf),((y+1.37493793314507)*omf)),Array(((x+0.60151381389909)*omf),((y+1.37011479832572)*omf)),Array(((x+0.60599243908849)*omf),((y+1.3590904901672)*omf))));
    line.pathPoints[1].leftDirection = Array(((x+0.59841322722951)*omf),((y+1.3732153849953)*omf));
    line.pathPoints[1].rightDirection = Array(((x+0.60461440056868)*omf),((y+1.36735872128609)*omf));

    line.stroked= true;
    line.filled= false;
    line.strokeOverprint = true;
    line.strokeColor = app.activeDocument.swatches['Cut'].color
    line.strokeWidth = 0.28346499800682;

    var line = doc.layers['Popbox'].layers['Cut'].pathItems.add();
    line.setEntirePath(Array(Array(((x+0.57464206276271)*omf),((y+1.3590904901672)*omf)),Array(((x+0.57912068795211)*omf),((y+1.37011479832572)*omf)),Array(((x+0.59014499611062)*omf),((y+1.37493793314507)*omf))));
    line.pathPoints[1].leftDirection = Array(((x+0.57636461091248)*omf),((y+1.36735872128609)*omf));
    line.pathPoints[1].rightDirection = Array(((x+0.58222127462169)*omf),((y+1.3732153849953)*omf));

    line.stroked= true;
    line.filled= false;
    line.strokeOverprint = true;
    line.strokeColor = app.activeDocument.swatches['Cut'].color
    line.strokeWidth = 0.28346499800682;

    var line = doc.layers['Popbox'].layers['Cut'].pathItems.add();
    line.setEntirePath(Array(Array(((x+0.57464206276271)*omf),((y+1.3590904901672)*omf)),Array(((x+0.54811482125628)*omf),((y+1.08003768990473)*omf))));

    line.stroked= true;
    line.filled= false;
    line.strokeOverprint = true;
    line.strokeColor = app.activeDocument.swatches['Cut'].color
    line.strokeWidth = 0.28346499800682;

    var line = doc.layers['Popbox'].layers['Glue'].pathItems.add();
    line.setEntirePath(Array(Array(((x+0.29214416620071)*omf),((y+2.03777446117591)*omf)),Array(((x+0.29214416620071)*omf),((y+2.05017680785425)*omf)),Array(((x+0.10989857195522)*omf),((y+2.05017680785425)*omf)),Array(((x+0.10989857195522)*omf),((y+1.1100100277107)*omf)),Array(((x+0.27974181952237)*omf),((y+1.1100100277107)*omf)),Array(((x+0.29214416620071)*omf),((y+1.1100100277107)*omf)),Array(((x+0.29214416620071)*omf),((y+2.03777446117591)*omf))));

    line.stroked= false;
    line.filled= true;
    line.fillOverprint = false;
    line.fillColor = app.activeDocument.swatches['Glue'].color;

    var line = doc.layers['Popbox'].layers['Glue'].pathItems.add();
    line.setEntirePath(Array(Array(((x+3.54741565963286)*omf),((y+0.53846855161757)*omf)),Array(((x+3.64801247157933)*omf),((y+0.43787173967111)*omf)),Array(((x+3.59461347893652)*omf),((y+0.23805615429798)*omf)),Array(((x+3.72242655164932)*omf),((y+0.11024308158517)*omf)),Array(((x+4.02490600674864)*omf),((y+0.11024308158517)*omf)),Array(((x+4.04936619047535)*omf),((y+0.11024308158517)*omf)),Array(((x+4.05074422899516)*omf),((y+0.11403268751466)*omf)),Array(((x+3.17775682669258)*omf),((y+0.98667558018729)*omf)),Array(((x+3.1605313451949)*omf),((y+1.00424557131493)*omf)),Array(((x+3.15674173926541)*omf),((y+1.00252302316516)*omf)),Array(((x+3.15674173926541)*omf),((y+0.67592789396909)*omf)),Array(((x+3.48058079142185)*omf),((y+0.3524333514426)*omf)),Array(((x+3.50745254255824)*omf),((y+0.37930510257898)*omf)),Array(((x+3.49160509958037)*omf),((y+0.38653980480801)*omf)),Array(((x+3.46369981955412)*omf),((y+0.42409135447296)*omf)),Array(((x+3.47782471438222)*omf),((y+0.46887760636693)*omf)),Array(((x+3.54741565963286)*omf),((y+0.53846855161757)*omf))));
    line.pathPoints[13].leftDirection = Array(((x+3.49160509958037)*omf),((y+0.38653980480801)*omf));
    line.pathPoints[13].rightDirection = Array(((x+3.47679118549236)*omf),((y+0.39377450703704)*omf));
    line.pathPoints[14].leftDirection = Array(((x+3.4661113869638)*omf),((y+0.40789940186514)*omf));
    line.pathPoints[14].rightDirection = Array(((x+3.46059923288454)*omf),((y+0.44028330708078)*omf));
    line.pathPoints[15].leftDirection = Array(((x+3.4661113869638)*omf),((y+0.45716427894851)*omf));
    line.pathPoints[15].rightDirection = Array(((x+3.47782471438222)*omf),((y+0.46887760636693)*omf));

    line.stroked= false;
    line.filled= true;
    line.fillOverprint = false;
    line.fillColor = app.activeDocument.swatches['Glue'].color;

    var line = doc.layers['Popbox'].layers['Glue'].pathItems.add();
    line.setEntirePath(Array(Array(((x+3.64801247157933)*omf),((y+2.72231509589384)*omf)),Array(((x+3.54741565963286)*omf),((y+2.62171828394737)*omf)),Array(((x+3.47782471438222)*omf),((y+2.69130922919801)*omf)),Array(((x+3.46369981955412)*omf),((y+2.73609548109199)*omf)),Array(((x+3.49160509958037)*omf),((y+2.77364703075694)*omf)),Array(((x+3.50745254255824)*omf),((y+2.78088173298596)*omf)),Array(((x+3.48058079142185)*omf),((y+2.80775348412235)*omf)),Array(((x+3.15674173926541)*omf),((y+2.48460345122581)*omf)),Array(((x+3.15674173926541)*omf),((y+2.1821239961265)*omf)),Array(((x+3.15674173926541)*omf),((y+2.15766381239979)*omf)),Array(((x+3.1605313451949)*omf),((y+2.15594126425002)*omf)),Array(((x+4.03351874749748)*omf),((y+3.0289286665526)*omf)),Array(((x+4.05074422899516)*omf),((y+3.04649865768024)*omf)),Array(((x+4.04936619047535)*omf),((y+3.04994375397978)*omf)),Array(((x+3.72242655164932)*omf),((y+3.04994375397978)*omf)),Array(((x+3.59461347893652)*omf),((y+2.92213068126697)*omf)),Array(((x+3.64801247157933)*omf),((y+2.72231509589384)*omf))));
    line.pathPoints[2].leftDirection = Array(((x+3.47782471438222)*omf),((y+2.69130922919801)*omf));
    line.pathPoints[2].rightDirection = Array(((x+3.4661113869638)*omf),((y+2.70302255661644)*omf));
    line.pathPoints[3].leftDirection = Array(((x+3.46059923288454)*omf),((y+2.71955901885421)*omf));
    line.pathPoints[3].rightDirection = Array(((x+3.4661113869638)*omf),((y+2.75263194332976)*omf));
    line.pathPoints[4].leftDirection = Array(((x+3.47679118549236)*omf),((y+2.76641232852791)*omf));
    line.pathPoints[4].rightDirection = Array(((x+3.49160509958037)*omf),((y+2.77364703075694)*omf));

    line.stroked= false;
    line.filled= true;
    line.fillOverprint = false;
    line.fillColor = app.activeDocument.swatches['Glue'].color;

    var line = doc.layers['Popbox'].layers['Glue'].pathItems.add();
    line.setEntirePath(Array(Array(((x+2.60621535059946)*omf),((y+0.43787173967111)*omf)),Array(((x+2.70646765291597)*omf),((y+0.53846855161757)*omf)),Array(((x+2.77605859816661)*omf),((y+0.46887760636693)*omf)),Array(((x+2.79018349299471)*omf),((y+0.42409135447296)*omf)),Array(((x+2.76193370333851)*omf),((y+0.38653980480801)*omf)),Array(((x+2.7464307699906)*omf),((y+0.37930510257898)*omf)),Array(((x+2.77330252112698)*omf),((y+0.3524333514426)*omf)),Array(((x+3.09679706365347)*omf),((y+0.67592789396909)*omf)),Array(((x+3.09679706365347)*omf),((y+0.9784073490684)*omf)),Array(((x+3.09679706365347)*omf),((y+1.00252302316516)*omf)),Array(((x+3.09335196735394)*omf),((y+1.00424557131493)*omf)),Array(((x+2.22036456505136)*omf),((y+0.13125816901235)*omf)),Array(((x+2.20313908355367)*omf),((y+0.11403268751466)*omf)),Array(((x+2.20451712207349)*omf),((y+0.11024308158517)*omf)),Array(((x+2.53145676089951)*omf),((y+0.11024308158517)*omf)),Array(((x+2.65926983361232)*omf),((y+0.23805615429798)*omf)),Array(((x+2.60621535059946)*omf),((y+0.43787173967111)*omf))));
    line.pathPoints[2].leftDirection = Array(((x+2.77605859816661)*omf),((y+0.46887760636693)*omf));
    line.pathPoints[2].rightDirection = Array(((x+2.78777192558504)*omf),((y+0.45716427894851)*omf));
    line.pathPoints[3].leftDirection = Array(((x+2.79293957003434)*omf),((y+0.44028330708078)*omf));
    line.pathPoints[3].rightDirection = Array(((x+2.78742741595508)*omf),((y+0.40789940186514)*omf));
    line.pathPoints[4].leftDirection = Array(((x+2.77709212705647)*omf),((y+0.39377450703704)*omf));
    line.pathPoints[4].rightDirection = Array(((x+2.76193370333851)*omf),((y+0.38653980480801)*omf));

    line.stroked= false;
    line.filled= true;
    line.fillOverprint = false;
    line.fillColor = app.activeDocument.swatches['Glue'].color;

    var line = doc.layers['Popbox'].layers['Glue'].pathItems.add();
    line.setEntirePath(Array(Array(((x+2.70646765291597)*omf),((y+2.62171828394737)*omf)),Array(((x+2.60621535059946)*omf),((y+2.72231509589384)*omf)),Array(((x+2.65926983361232)*omf),((y+2.92213068126697)*omf)),Array(((x+2.53145676089951)*omf),((y+3.04994375397978)*omf)),Array(((x+2.2289773058002)*omf),((y+3.04994375397978)*omf)),Array(((x+2.20451712207349)*omf),((y+3.04994375397978)*omf)),Array(((x+2.20313908355367)*omf),((y+3.04649865768024)*omf)),Array(((x+3.07612648585625)*omf),((y+2.17351125537766)*omf)),Array(((x+3.09335196735394)*omf),((y+2.15594126425002)*omf)),Array(((x+3.09679706365347)*omf),((y+2.15766381239979)*omf)),Array(((x+3.09679706365347)*omf),((y+2.48460345122581)*omf)),Array(((x+2.77330252112698)*omf),((y+2.80775348412235)*omf)),Array(((x+2.7464307699906)*omf),((y+2.78088173298596)*omf)),Array(((x+2.76193370333851)*omf),((y+2.77364703075694)*omf)),Array(((x+2.79018349299471)*omf),((y+2.73609548109199)*omf)),Array(((x+2.77605859816661)*omf),((y+2.69130922919801)*omf)),Array(((x+2.70646765291597)*omf),((y+2.62171828394737)*omf))));
    line.pathPoints[13].leftDirection = Array(((x+2.76193370333851)*omf),((y+2.77364703075694)*omf));
    line.pathPoints[13].rightDirection = Array(((x+2.77709212705647)*omf),((y+2.76641232852791)*omf));
    line.pathPoints[14].leftDirection = Array(((x+2.78742741595508)*omf),((y+2.75263194332976)*omf));
    line.pathPoints[14].rightDirection = Array(((x+2.79293957003434)*omf),((y+2.71955901885421)*omf));
    line.pathPoints[15].leftDirection = Array(((x+2.78777192558504)*omf),((y+2.70302255661644)*omf));
    line.pathPoints[15].rightDirection = Array(((x+2.77605859816661)*omf),((y+2.69130922919801)*omf));

    line.stroked= false;
    line.filled= true;
    line.fillOverprint = false;
    line.fillColor = app.activeDocument.swatches['Glue'].color;

    var line = doc.layers['Popbox'].layers['Glue'].pathItems.add();
    line.setEntirePath(Array(Array(((x+1.08486082472408)*omf),((y+1.1100100277107)*omf)),Array(((x+1.09726317140242)*omf),((y+1.1100100277107)*omf)),Array(((x+1.09726317140242)*omf),((y+2.03777446117591)*omf)),Array(((x+1.09726317140242)*omf),((y+2.05017680785425)*omf)),Array(((x+0.90089268232883)*omf),((y+2.05017680785425)*omf)),Array(((x+0.88883484528045)*omf),((y+2.05017680785425)*omf)),Array(((x+0.88883484528045)*omf),((y+1.12241237438903)*omf)),Array(((x+0.88883484528045)*omf),((y+1.1100100277107)*omf)),Array(((x+1.08486082472408)*omf),((y+1.1100100277107)*omf))));

    line.stroked= false;
    line.filled= true;
    line.fillOverprint = false;
    line.fillColor = app.activeDocument.swatches['Glue'].color;

    var line = doc.layers['Popbox'].layers['Outside Bleed'].pathItems.add();
    line.setEntirePath(Array(Array(((x+4.15650868539094)*omf),((y+2.11012148346618)*omf)),Array(((x+4.15650868539094)*omf),((y+3.10988842959171)*omf))));

    line.stroked= true;
    line.filled= false;
    line.strokeOverprint = true;
    line.strokeColor = app.activeDocument.swatches['Outside Bleed'].color;
    line.strokeWidth = 0.28346499800682;

    var line = doc.layers['Popbox'].layers['Outside Bleed'].pathItems.add();
    line.setEntirePath(Array(Array(((x+4.15650868539094)*omf),((y+3.10988842959171)*omf)),Array(((x+3.69762185829266)*omf),((y+3.10988842959171)*omf))));

    line.stroked= true;
    line.filled= false;
    line.strokeOverprint = true;
    line.strokeColor = app.activeDocument.swatches['Outside Bleed'].color;
    line.strokeWidth = 0.28346499800682;

    var line = doc.layers['Popbox'].layers['Outside Bleed'].pathItems.add();
    line.setEntirePath(Array(Array(((x+3.69762185829266)*omf),((y+3.10988842959171)*omf)),Array(((x+3.52777861072551)*omf),((y+2.94004518202456)*omf))));

    line.stroked= true;
    line.filled= false;
    line.strokeOverprint = true;
    line.strokeColor = app.activeDocument.swatches['Outside Bleed'].color;
    line.strokeWidth = 0.28346499800682;

    var line = doc.layers['Popbox'].layers['Outside Bleed'].pathItems.add();
    line.setEntirePath(Array(Array(((x+3.52777861072551)*omf),((y+2.94004518202456)*omf)),Array(((x+3.56188506409092)*omf),((y+2.81119858042189)*omf)),Array(((x+3.48058079142185)*omf),((y+2.89284736272091)*omf))));

    line.stroked= true;
    line.filled= false;
    line.strokeOverprint = true;
    line.strokeColor = app.activeDocument.swatches['Outside Bleed'].color;
    line.strokeWidth = 0.28346499800682;

    var line = doc.layers['Popbox'].layers['Outside Bleed'].pathItems.add();
    line.setEntirePath(Array(Array(((x+3.48058079142185)*omf),((y+2.89284736272091)*omf)),Array(((x+3.1271139110894)*omf),((y+2.53938048238845)*omf))));

    line.stroked= true;
    line.filled= false;
    line.strokeOverprint = true;
    line.strokeColor = app.activeDocument.swatches['Outside Bleed'].color;
    line.strokeWidth = 0.28346499800682;

    var line = doc.layers['Popbox'].layers['Outside Bleed'].pathItems.add();
    line.setEntirePath(Array(Array(((x+3.1271139110894)*omf),((y+2.53938048238845)*omf)),Array(((x+2.77330252112698)*omf),((y+2.89284736272091)*omf))));

    line.stroked= true;
    line.filled= false;
    line.strokeOverprint = true;
    line.strokeColor = app.activeDocument.swatches['Outside Bleed'].color;
    line.strokeWidth = 0.28346499800682;

    var line = doc.layers['Popbox'].layers['Outside Bleed'].pathItems.add();
    line.setEntirePath(Array(Array(((x+2.77330252112698)*omf),((y+2.89284736272091)*omf)),Array(((x+2.69165373882797)*omf),((y+2.81119858042189)*omf)),Array(((x+2.72610470182333)*omf),((y+2.94004518202456)*omf))));

    line.stroked= true;
    line.filled= false;
    line.strokeOverprint = true;
    line.strokeColor = app.activeDocument.swatches['Outside Bleed'].color;
    line.strokeWidth = 0.28346499800682;

    var line = doc.layers['Popbox'].layers['Outside Bleed'].pathItems.add();
    line.setEntirePath(Array(Array(((x+2.72610470182333)*omf),((y+2.94004518202456)*omf)),Array(((x+2.55626145425618)*omf),((y+3.10988842959171)*omf))));

    line.stroked= true;
    line.filled= false;
    line.strokeOverprint = true;
    line.strokeColor = app.activeDocument.swatches['Outside Bleed'].color;
    line.strokeWidth = 0.28346499800682;

    var line = doc.layers['Popbox'].layers['Outside Bleed'].pathItems.add();
    line.setEntirePath(Array(Array(((x+2.55626145425618)*omf),((y+3.10988842959171)*omf)),Array(((x+2.09703011752794)*omf),((y+3.10988842959171)*omf))));

    line.stroked= true;
    line.filled= false;
    line.strokeOverprint = true;
    line.strokeColor = app.activeDocument.swatches['Outside Bleed'].color;
    line.strokeWidth = 0.28346499800682;

    var line = doc.layers['Popbox'].layers['Outside Bleed'].pathItems.add();
    line.setEntirePath(Array(Array(((x+2.09703011752794)*omf),((y+3.10988842959171)*omf)),Array(((x+2.09703011752794)*omf),((y+2.11012148346618)*omf))));

    line.stroked= true;
    line.filled= false;
    line.strokeOverprint = true;
    line.strokeColor = app.activeDocument.swatches['Outside Bleed'].color;
    line.strokeWidth = 0.28346499800682;

    var line = doc.layers['Popbox'].layers['Outside Bleed'].pathItems.add();
    line.setEntirePath(Array(Array(((x+2.09703011752794)*omf),((y+2.11012148346618)*omf)),Array(((x+0.60530341982859)*omf),((y+2.11012148346618)*omf))));

    line.stroked= true;
    line.filled= false;
    line.strokeOverprint = true;
    line.strokeColor = app.activeDocument.swatches['Outside Bleed'].color;
    line.strokeWidth = 0.28346499800682;

    var line = doc.layers['Popbox'].layers['Outside Bleed'].pathItems.add();
    line.setEntirePath(Array(Array(((x+0.60530341982859)*omf),((y+2.11012148346618)*omf)),Array(((x+0.59014499611062)*omf),((y+1.95336960183727)*omf)),Array(((x+0.57567559165257)*omf),((y+2.11012148346618)*omf))));

    line.stroked= true;
    line.filled= false;
    line.strokeOverprint = true;
    line.strokeColor = app.activeDocument.swatches['Outside Bleed'].color;
    line.strokeWidth = 0.28346499800682;

    var line = doc.layers['Popbox'].layers['Outside Bleed'].pathItems.add();
    line.setEntirePath(Array(Array(((x+0.57567559165257)*omf),((y+2.11012148346618)*omf)),Array(((x+0.04995389634328)*omf),((y+2.11012148346618)*omf))));

    line.stroked= true;
    line.filled= false;
    line.strokeOverprint = true;
    line.strokeColor = app.activeDocument.swatches['Outside Bleed'].color;
    line.strokeWidth = 0.28346499800682;

    var line = doc.layers['Popbox'].layers['Outside Bleed'].pathItems.add();
    line.setEntirePath(Array(Array(((x+0.04995389634328)*omf),((y+2.11012148346618)*omf)),Array(((x+0.04995389634328)*omf),((y+1.05006535209876)*omf))));

    line.stroked= true;
    line.filled= false;
    line.strokeOverprint = true;
    line.strokeColor = app.activeDocument.swatches['Outside Bleed'].color;
    line.strokeWidth = 0.28346499800682;

    var line = doc.layers['Popbox'].layers['Outside Bleed'].pathItems.add();
    line.setEntirePath(Array(Array(((x+0.04995389634328)*omf),((y+1.05006535209876)*omf)),Array(((x+0.57567559165257)*omf),((y+1.05006535209876)*omf))));

    line.stroked= true;
    line.filled= false;
    line.strokeOverprint = true;
    line.strokeColor = app.activeDocument.swatches['Outside Bleed'].color;
    line.strokeWidth = 0.28346499800682;

    var line = doc.layers['Popbox'].layers['Outside Bleed'].pathItems.add();
    line.setEntirePath(Array(Array(((x+0.57567559165257)*omf),((y+1.05006535209876)*omf)),Array(((x+0.59014499611062)*omf),((y+1.20716174335763)*omf)),Array(((x+0.60530341982859)*omf),((y+1.05006535209876)*omf))));

    line.stroked= true;
    line.filled= false;
    line.strokeOverprint = true;
    line.strokeColor = app.activeDocument.swatches['Outside Bleed'].color;
    line.strokeWidth = 0.28346499800682;

    var line = doc.layers['Popbox'].layers['Outside Bleed'].pathItems.add();
    line.setEntirePath(Array(Array(((x+0.60530341982859)*omf),((y+1.05006535209876)*omf)),Array(((x+2.09703011752794)*omf),((y+1.05006535209876)*omf))));

    line.stroked= true;
    line.filled= false;
    line.strokeOverprint = true;
    line.strokeColor = app.activeDocument.swatches['Outside Bleed'].color;
    line.strokeWidth = 0.28346499800682;

    var line = doc.layers['Popbox'].layers['Outside Bleed'].pathItems.add();
    line.setEntirePath(Array(Array(((x+2.09703011752794)*omf),((y+1.05006535209876)*omf)),Array(((x+2.09703011752794)*omf),((y+0.05029840597323)*omf))));

    line.stroked= true;
    line.filled= false;
    line.strokeOverprint = true;
    line.strokeColor = app.activeDocument.swatches['Outside Bleed'].color;
    line.strokeWidth = 0.28346499800682;

    var line = doc.layers['Popbox'].layers['Outside Bleed'].pathItems.add();
    line.setEntirePath(Array(Array(((x+2.09703011752794)*omf),((y+0.05029840597323)*omf)),Array(((x+2.55626145425618)*omf),((y+0.05029840597323)*omf))));

    line.stroked= true;
    line.filled= false;
    line.strokeOverprint = true;
    line.strokeColor = app.activeDocument.swatches['Outside Bleed'].color;
    line.strokeWidth = 0.28346499800682;

    var line = doc.layers['Popbox'].layers['Outside Bleed'].pathItems.add();
    line.setEntirePath(Array(Array(((x+2.55626145425618)*omf),((y+0.05029840597323)*omf)),Array(((x+2.72610470182333)*omf),((y+0.22014165354039)*omf))));

    line.stroked= true;
    line.filled= false;
    line.strokeOverprint = true;
    line.strokeColor = app.activeDocument.swatches['Outside Bleed'].color;
    line.strokeWidth = 0.28346499800682;

    var line = doc.layers['Popbox'].layers['Outside Bleed'].pathItems.add();
    line.setEntirePath(Array(Array(((x+2.72610470182333)*omf),((y+0.22014165354039)*omf)),Array(((x+2.69165373882797)*omf),((y+0.34933276477301)*omf)),Array(((x+2.77330252112698)*omf),((y+0.26733947284404)*omf))));

    line.stroked= true;
    line.filled= false;
    line.strokeOverprint = true;
    line.strokeColor = app.activeDocument.swatches['Outside Bleed'].color;
    line.strokeWidth = 0.28346499800682;

    var line = doc.layers['Popbox'].layers['Outside Bleed'].pathItems.add();
    line.setEntirePath(Array(Array(((x+2.77330252112698)*omf),((y+0.26733947284404)*omf)),Array(((x+3.1271139110894)*omf),((y+0.62115086280645)*omf))));

    line.stroked= true;
    line.filled= false;
    line.strokeOverprint = true;
    line.strokeColor = app.activeDocument.swatches['Outside Bleed'].color;
    line.strokeWidth = 0.28346499800682;

    var line = doc.layers['Popbox'].layers['Outside Bleed'].pathItems.add();
    line.setEntirePath(Array(Array(((x+3.1271139110894)*omf),((y+0.62115086280645)*omf)),Array(((x+3.48058079142185)*omf),((y+0.26733947284404)*omf))));

    line.stroked= true;
    line.filled= false;
    line.strokeOverprint = true;
    line.strokeColor = app.activeDocument.swatches['Outside Bleed'].color;
    line.strokeWidth = 0.28346499800682;

    var line = doc.layers['Popbox'].layers['Outside Bleed'].pathItems.add();
    line.setEntirePath(Array(Array(((x+3.48058079142185)*omf),((y+0.26733947284404)*omf)),Array(((x+3.56188506409092)*omf),((y+0.34933276477301)*omf)),Array(((x+3.52777861072551)*omf),((y+0.22014165354039)*omf))));

    line.stroked= true;
    line.filled= false;
    line.strokeOverprint = true;
    line.strokeColor = app.activeDocument.swatches['Outside Bleed'].color;
    line.strokeWidth = 0.28346499800682;

    var line = doc.layers['Popbox'].layers['Outside Bleed'].pathItems.add();
    line.setEntirePath(Array(Array(((x+3.52777861072551)*omf),((y+0.22014165354039)*omf)),Array(((x+3.69762185829266)*omf),((y+0.05029840597323)*omf))));

    line.stroked= true;
    line.filled= false;
    line.strokeOverprint = true;
    line.strokeColor = app.activeDocument.swatches['Outside Bleed'].color;
    line.strokeWidth = 0.28346499800682;

    var line = doc.layers['Popbox'].layers['Outside Bleed'].pathItems.add();
    line.setEntirePath(Array(Array(((x+3.69762185829266)*omf),((y+0.05029840597323)*omf)),Array(((x+4.15650868539094)*omf),((y+0.05029840597323)*omf))));

    line.stroked= true;
    line.filled= false;
    line.strokeOverprint = true;
    line.strokeColor = app.activeDocument.swatches['Outside Bleed'].color;
    line.strokeWidth = 0.28346499800682;

    var line = doc.layers['Popbox'].layers['Outside Bleed'].pathItems.add();
    line.setEntirePath(Array(Array(((x+4.15650868539094)*omf),((y+0.05029840597323)*omf)),Array(((x+4.15650868539094)*omf),((y+1.05006535209876)*omf))));

    line.stroked= true;
    line.filled= false;
    line.strokeOverprint = true;
    line.strokeColor = app.activeDocument.swatches['Outside Bleed'].color;
    line.strokeWidth = 0.28346499800682;

    var line = doc.layers['Popbox'].layers['Outside Bleed'].pathItems.add();
    line.setEntirePath(Array(Array(((x+4.15650868539094)*omf),((y+1.05006535209876)*omf)),Array(((x+5.15696465077638)*omf),((y+1.05006535209876)*omf))));

    line.stroked= true;
    line.filled= false;
    line.strokeOverprint = true;
    line.strokeColor = app.activeDocument.swatches['Outside Bleed'].color;
    line.strokeWidth = 0.28346499800682;

    var line = doc.layers['Popbox'].layers['Outside Bleed'].pathItems.add();
    line.setEntirePath(Array(Array(((x+5.15696465077638)*omf),((y+1.05006535209876)*omf)),Array(((x+5.15696465077638)*omf),((y+2.11012148346618)*omf))));

    line.stroked= true;
    line.filled= false;
    line.strokeOverprint = true;
    line.strokeColor = app.activeDocument.swatches['Outside Bleed'].color;
    line.strokeWidth = 0.28346499800682;

    var line = doc.layers['Popbox'].layers['Outside Bleed'].pathItems.add();
    line.setEntirePath(Array(Array(((x+5.15696465077638)*omf),((y+2.11012148346618)*omf)),Array(((x+4.15650868539094)*omf),((y+2.11012148346618)*omf))));

    line.stroked= true;
    line.filled= false;
    line.strokeOverprint = true;
    line.strokeColor = app.activeDocument.swatches['Outside Bleed'].color;
    line.strokeWidth = 0.28346499800682;

    var line = doc.layers['Popbox'].layers['Outside Coating'].pathItems.add();
    line.setEntirePath(Array(Array(((x+3.64801247157933)*omf),((y+2.72231509589384)*omf)),Array(((x+3.54741565963286)*omf),((y+2.62171828394737)*omf)),Array(((x+3.47782471438222)*omf),((y+2.69130922919801)*omf)),Array(((x+3.46369981955412)*omf),((y+2.73609548109199)*omf)),Array(((x+3.49160509958037)*omf),((y+2.77364703075694)*omf)),Array(((x+3.50745254255824)*omf),((y+2.78088173298596)*omf)),Array(((x+3.48058079142185)*omf),((y+2.80775348412235)*omf)),Array(((x+3.15674173926541)*omf),((y+2.48460345122581)*omf)),Array(((x+3.15674173926541)*omf),((y+2.1821239961265)*omf)),Array(((x+3.15674173926541)*omf),((y+2.15766381239979)*omf)),Array(((x+3.1605313451949)*omf),((y+2.15594126425002)*omf)),Array(((x+4.03351874749748)*omf),((y+3.0289286665526)*omf)),Array(((x+4.05074422899516)*omf),((y+3.04649865768024)*omf)),Array(((x+4.04936619047535)*omf),((y+3.04994375397978)*omf)),Array(((x+3.72242655164932)*omf),((y+3.04994375397978)*omf)),Array(((x+3.59461347893652)*omf),((y+2.92213068126697)*omf)),Array(((x+3.64801247157933)*omf),((y+2.72231509589384)*omf))));
    line.pathPoints[2].leftDirection = Array(((x+3.47782471438222)*omf),((y+2.69130922919801)*omf));
    line.pathPoints[2].rightDirection = Array(((x+3.4661113869638)*omf),((y+2.70302255661644)*omf));
    line.pathPoints[3].leftDirection = Array(((x+3.46059923288454)*omf),((y+2.71955901885421)*omf));
    line.pathPoints[3].rightDirection = Array(((x+3.4661113869638)*omf),((y+2.75263194332976)*omf));
    line.pathPoints[4].leftDirection = Array(((x+3.47679118549236)*omf),((y+2.76641232852791)*omf));
    line.pathPoints[4].rightDirection = Array(((x+3.49160509958037)*omf),((y+2.77364703075694)*omf));

    line.stroked= true;
    line.filled= false;
    line.strokeOverprint = true;
    line.strokeColor = app.activeDocument.swatches['Outside Coating'].color;
    line.strokeWidth = 0.28346499800682;

    var line = doc.layers['Popbox'].layers['Outside Coating'].pathItems.add();
    line.setEntirePath(Array(Array(((x+3.54741565963286)*omf),((y+0.53846855161757)*omf)),Array(((x+3.64801247157933)*omf),((y+0.43787173967111)*omf)),Array(((x+3.59461347893652)*omf),((y+0.23805615429798)*omf)),Array(((x+3.72242655164932)*omf),((y+0.11024308158517)*omf)),Array(((x+4.02490600674864)*omf),((y+0.11024308158517)*omf)),Array(((x+4.04936619047535)*omf),((y+0.11024308158517)*omf)),Array(((x+4.05074422899516)*omf),((y+0.11403268751466)*omf)),Array(((x+3.17775682669258)*omf),((y+0.98667558018729)*omf)),Array(((x+3.1605313451949)*omf),((y+1.00424557131493)*omf)),Array(((x+3.15674173926541)*omf),((y+1.00252302316516)*omf)),Array(((x+3.15674173926541)*omf),((y+0.67592789396909)*omf)),Array(((x+3.48058079142185)*omf),((y+0.3524333514426)*omf)),Array(((x+3.50745254255824)*omf),((y+0.37930510257898)*omf)),Array(((x+3.49160509958037)*omf),((y+0.38653980480801)*omf)),Array(((x+3.46369981955412)*omf),((y+0.42409135447296)*omf)),Array(((x+3.47782471438222)*omf),((y+0.46887760636693)*omf)),Array(((x+3.54741565963286)*omf),((y+0.53846855161757)*omf))));
    line.pathPoints[13].leftDirection = Array(((x+3.49160509958037)*omf),((y+0.38653980480801)*omf));
    line.pathPoints[13].rightDirection = Array(((x+3.47679118549236)*omf),((y+0.39377450703704)*omf));
    line.pathPoints[14].leftDirection = Array(((x+3.4661113869638)*omf),((y+0.40789940186514)*omf));
    line.pathPoints[14].rightDirection = Array(((x+3.46059923288454)*omf),((y+0.44028330708078)*omf));
    line.pathPoints[15].leftDirection = Array(((x+3.4661113869638)*omf),((y+0.45716427894851)*omf));
    line.pathPoints[15].rightDirection = Array(((x+3.47782471438222)*omf),((y+0.46887760636693)*omf));

    line.stroked= true;
    line.filled= false;
    line.strokeOverprint = true;
    line.strokeColor = app.activeDocument.swatches['Outside Coating'].color;
    line.strokeWidth = 0.28346499800682;

    var line = doc.layers['Popbox'].layers['Outside Coating'].pathItems.add();
    line.setEntirePath(Array(Array(((x+2.70646765291597)*omf),((y+2.62171828394737)*omf)),Array(((x+2.60621535059946)*omf),((y+2.72231509589384)*omf)),Array(((x+2.65926983361232)*omf),((y+2.92213068126697)*omf)),Array(((x+2.53145676089951)*omf),((y+3.04994375397978)*omf)),Array(((x+2.2289773058002)*omf),((y+3.04994375397978)*omf)),Array(((x+2.20451712207349)*omf),((y+3.04994375397978)*omf)),Array(((x+2.20313908355367)*omf),((y+3.04649865768024)*omf)),Array(((x+3.07612648585625)*omf),((y+2.17351125537766)*omf)),Array(((x+3.09335196735394)*omf),((y+2.15594126425002)*omf)),Array(((x+3.09679706365347)*omf),((y+2.15766381239979)*omf)),Array(((x+3.09679706365347)*omf),((y+2.48460345122581)*omf)),Array(((x+2.77330252112698)*omf),((y+2.80775348412235)*omf)),Array(((x+2.7464307699906)*omf),((y+2.78088173298596)*omf)),Array(((x+2.76193370333851)*omf),((y+2.77364703075694)*omf)),Array(((x+2.79018349299471)*omf),((y+2.73609548109199)*omf)),Array(((x+2.77605859816661)*omf),((y+2.69130922919801)*omf)),Array(((x+2.70646765291597)*omf),((y+2.62171828394737)*omf))));
    line.pathPoints[13].leftDirection = Array(((x+2.76193370333851)*omf),((y+2.77364703075694)*omf));
    line.pathPoints[13].rightDirection = Array(((x+2.77709212705647)*omf),((y+2.76641232852791)*omf));
    line.pathPoints[14].leftDirection = Array(((x+2.78742741595508)*omf),((y+2.75263194332976)*omf));
    line.pathPoints[14].rightDirection = Array(((x+2.79293957003434)*omf),((y+2.71955901885421)*omf));
    line.pathPoints[15].leftDirection = Array(((x+2.78777192558504)*omf),((y+2.70302255661644)*omf));
    line.pathPoints[15].rightDirection = Array(((x+2.77605859816661)*omf),((y+2.69130922919801)*omf));

    line.stroked= true;
    line.filled= false;
    line.strokeOverprint = true;
    line.strokeColor = app.activeDocument.swatches['Outside Coating'].color;
    line.strokeWidth = 0.28346499800682;

    var line = doc.layers['Popbox'].layers['Outside Coating'].pathItems.add();
    line.setEntirePath(Array(Array(((x+2.60621535059946)*omf),((y+0.43787173967111)*omf)),Array(((x+2.70646765291597)*omf),((y+0.53846855161757)*omf)),Array(((x+2.77605859816661)*omf),((y+0.46887760636693)*omf)),Array(((x+2.79018349299471)*omf),((y+0.42409135447296)*omf)),Array(((x+2.76193370333851)*omf),((y+0.38653980480801)*omf)),Array(((x+2.7464307699906)*omf),((y+0.37930510257898)*omf)),Array(((x+2.77330252112698)*omf),((y+0.3524333514426)*omf)),Array(((x+3.09679706365347)*omf),((y+0.67592789396909)*omf)),Array(((x+3.09679706365347)*omf),((y+0.9784073490684)*omf)),Array(((x+3.09679706365347)*omf),((y+1.00252302316516)*omf)),Array(((x+3.09335196735394)*omf),((y+1.00424557131493)*omf)),Array(((x+2.22036456505136)*omf),((y+0.13125816901235)*omf)),Array(((x+2.20313908355367)*omf),((y+0.11403268751466)*omf)),Array(((x+2.20451712207349)*omf),((y+0.11024308158517)*omf)),Array(((x+2.53145676089951)*omf),((y+0.11024308158517)*omf)),Array(((x+2.65926983361232)*omf),((y+0.23805615429798)*omf)),Array(((x+2.60621535059946)*omf),((y+0.43787173967111)*omf))));
    line.pathPoints[2].leftDirection = Array(((x+2.77605859816661)*omf),((y+0.46887760636693)*omf));
    line.pathPoints[2].rightDirection = Array(((x+2.78777192558504)*omf),((y+0.45716427894851)*omf));
    line.pathPoints[3].leftDirection = Array(((x+2.79293957003434)*omf),((y+0.44028330708078)*omf));
    line.pathPoints[3].rightDirection = Array(((x+2.78742741595508)*omf),((y+0.40789940186514)*omf));
    line.pathPoints[4].leftDirection = Array(((x+2.77709212705647)*omf),((y+0.39377450703704)*omf));
    line.pathPoints[4].rightDirection = Array(((x+2.76193370333851)*omf),((y+0.38653980480801)*omf));

    line.stroked= true;
    line.filled= false;
    line.strokeOverprint = true;
    line.strokeColor = app.activeDocument.swatches['Outside Coating'].color;
    line.strokeWidth = 0.28346499800682;

    var line = doc.layers['Popbox'].layers['Outside Coating'].pathItems.add();
    line.setEntirePath(Array(Array(((x+1.08486082472408)*omf),((y+1.1100100277107)*omf)),Array(((x+1.09726317140242)*omf),((y+1.1100100277107)*omf)),Array(((x+1.09726317140242)*omf),((y+2.03777446117591)*omf)),Array(((x+1.09726317140242)*omf),((y+2.05017680785425)*omf)),Array(((x+0.90089268232883)*omf),((y+2.05017680785425)*omf)),Array(((x+0.88883484528045)*omf),((y+2.05017680785425)*omf)),Array(((x+0.88883484528045)*omf),((y+1.12241237438903)*omf)),Array(((x+0.88883484528045)*omf),((y+1.1100100277107)*omf)),Array(((x+1.08486082472408)*omf),((y+1.1100100277107)*omf))));

    line.stroked= true;
    line.filled= false;
    line.strokeOverprint = true;
    line.strokeColor = app.activeDocument.swatches['Outside Coating'].color;
    line.strokeWidth = 0.28346499800682;

    var line = doc.layers['Popbox'].layers['Outside Coating'].pathItems.add();
    line.setEntirePath(Array(Array(((x+0.29214416620071)*omf),((y+2.03777446117591)*omf)),Array(((x+0.29214416620071)*omf),((y+2.05017680785425)*omf)),Array(((x+0.10989857195522)*omf),((y+2.05017680785425)*omf)),Array(((x+0.10989857195522)*omf),((y+1.1100100277107)*omf)),Array(((x+0.27974181952237)*omf),((y+1.1100100277107)*omf)),Array(((x+0.29214416620071)*omf),((y+1.1100100277107)*omf)),Array(((x+0.29214416620071)*omf),((y+2.03777446117591)*omf))));

    line.stroked= true;
    line.filled= false;
    line.strokeOverprint = true;
    line.strokeColor = app.activeDocument.swatches['Outside Coating'].color;
    line.strokeWidth = 0.28346499800682;

    var line = doc.layers['Popbox'].layers['Outside Coating'].pathItems.add();
    line.setEntirePath(Array(Array(((x+4.15650868539094)*omf),((y+2.11012148346618)*omf)),Array(((x+4.15650868539094)*omf),((y+3.10988842959171)*omf)),Array(((x+3.69762185829266)*omf),((y+3.10988842959171)*omf)),Array(((x+3.52777861072551)*omf),((y+2.94004518202456)*omf)),Array(((x+3.56188506409092)*omf),((y+2.81119858042189)*omf)),Array(((x+3.48058079142185)*omf),((y+2.89284736272091)*omf)),Array(((x+3.1271139110894)*omf),((y+2.53938048238845)*omf)),Array(((x+2.77330252112698)*omf),((y+2.89284736272091)*omf)),Array(((x+2.69165373882797)*omf),((y+2.81119858042189)*omf)),Array(((x+2.72610470182333)*omf),((y+2.94004518202456)*omf)),Array(((x+2.55626145425618)*omf),((y+3.10988842959171)*omf)),Array(((x+2.09703011752794)*omf),((y+3.10988842959171)*omf)),Array(((x+2.09703011752794)*omf),((y+2.11012148346618)*omf)),Array(((x+0.60530341982859)*omf),((y+2.11012148346618)*omf)),Array(((x+0.59014499611062)*omf),((y+1.95336960183727)*omf)),Array(((x+0.57567559165257)*omf),((y+2.11012148346618)*omf)),Array(((x+0.04995389634328)*omf),((y+2.11012148346618)*omf)),Array(((x+0.04995389634328)*omf),((y+1.05006535209876)*omf)),Array(((x+0.57567559165257)*omf),((y+1.05006535209876)*omf)),Array(((x+0.59014499611062)*omf),((y+1.20716174335763)*omf)),Array(((x+0.60530341982859)*omf),((y+1.05006535209876)*omf)),Array(((x+2.09703011752794)*omf),((y+1.05006535209876)*omf)),Array(((x+2.09703011752794)*omf),((y+0.05029840597323)*omf)),Array(((x+2.55626145425618)*omf),((y+0.05029840597323)*omf)),Array(((x+2.72610470182333)*omf),((y+0.22014165354039)*omf)),Array(((x+2.69165373882797)*omf),((y+0.34933276477301)*omf)),Array(((x+2.77330252112698)*omf),((y+0.26733947284404)*omf)),Array(((x+3.1271139110894)*omf),((y+0.62115086280645)*omf)),Array(((x+3.48058079142185)*omf),((y+0.26733947284404)*omf)),Array(((x+3.56188506409092)*omf),((y+0.34933276477301)*omf)),Array(((x+3.52777861072551)*omf),((y+0.22014165354039)*omf)),Array(((x+3.69762185829266)*omf),((y+0.05029840597323)*omf)),Array(((x+4.15650868539094)*omf),((y+0.05029840597323)*omf)),Array(((x+4.15650868539094)*omf),((y+1.05006535209876)*omf)),Array(((x+5.15696465077638)*omf),((y+1.05006535209876)*omf)),Array(((x+5.15696465077638)*omf),((y+2.11012148346618)*omf)),Array(((x+4.15650868539094)*omf),((y+2.11012148346618)*omf))));

    line.stroked= true;
    line.filled= false;
    var itemColor = new CMYKColor();
    line.strokeOverprint = true;
    line.strokeColor = app.activeDocument.swatches['Outside Coating'].color;
    line.strokeWidth = 0.28346499800682;
}